<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: page.start.php 4794 2011-07-29 11:40:49Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

include _SRV_WEBROOT . 'conf/config.php';
include _SRV_WEBROOT . 'conf/database.php';

$db = ADONewConnection('mysql');
$db->Connect(_SYSTEM_DATABASE_HOST, _SYSTEM_DATABASE_USER, _SYSTEM_DATABASE_PWD, _SYSTEM_DATABASE_DATABASE);
//$db->cacheSecs = _CACHETIME_DEFAULT; // cache 24 hours 3600*24
$db->Execute("SET NAMES 'utf8'");
$db->Execute("SET CHARACTER_SET_CLIENT=utf8");
$db->Execute("SET CHARACTER_SET_RESULTS=utf8");


// get actual Version
$rs = $db->Execute("SELECT * FROM ".TABLE_CONFIGURATION." WHERE config_key='"._SYSTEM_VERSION."'");

$version = $rs->fields['config_value'];

$sub_tpl->assign('shop_version',$version);

$shop = str_replace('.','',$version);
$update = str_replace('.','',_UPD_VERSION);

// check if license file has permission to update
$_lic = _SRV_WEBROOT.'lic/license.txt';
if (!file_exists($_lic)) die ('- main lic missing -');
	$val_line = '';
	$bline = '';
    $_file_content = file($_lic);
    foreach ($_file_content as $bline_num => $bline) {
        if(ereg('maxversion:', $bline)){
            $val_line = $bline;
            break;
        }
    }

    $val_line = explode(':',$val_line);
    $_max_version = '';
    $_max_version = trim($val_line[1]);
    unset($val_line);
    unset($_lic);
// end license check

if ($update > $shop) {
	$sub_tpl->assign('update','yes');
}
if ($update > $_max_version) {
	$sub_tpl->assign('update_restricted','yes');
}

// next
$sub_tpl->assign('link_self',_pageLink('start'));
$sub_tpl->assign('link_next',_pageLink('update'));


$tpl->assign('content',$sub_tpl->fetch('page.start.html'));

?>