INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_GRADUATED_SAVING', 'Ersparnins', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_GRADUATED_SAVING', 'Saving', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PRODUCTS_FSK18_NOTE', 'Der Versand dieses Artikels erfolgt ausschlielich an Volljhrige gegen Altersnachweis mittels PostIdent-Verfahren.', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PRODUCTS_FSK18_NOTE', 'Shipping of this product only be available after age verification through PostIdent.', 'store', '');

UPDATE `##_language_content` SET `language_value` = 'Über' WHERE `language_key` ='TEXT_RANGE_FROM';

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_INFO_NO_SHIPPING', '- Kein Versand -', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_INFO_NO_SHIPPING', '- No Shipping -', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_TERMSCOND_CHECK', 'AGB mssen akzeptiert werden', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_TERMSCOND_CHECK', 'Terms and Conditions must be accepted', 'admin', '');

ALTER TABLE `##_languages` ADD `language_status` INT( 1 ) NOT NULL DEFAULT '1' AFTER `languages_id`;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LANGUAGE_STATUS', 'Status', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LANGUAGE_STATUS', 'Status', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_OBT', 'Online berweisung', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_OBT', 'Online bank transfer', 'store', '');

ALTER TABLE `##_media` ADD `total_downloads` INT( 11 ) NOT NULL DEFAULT '0';
ALTER TABLE `##_products` ADD `total_downloads` INT( 11 ) NOT NULL DEFAULT '0';
ALTER TABLE `##_manufacturers` ADD `manufacturers_sort` INT( 4 ) NOT NULL DEFAULT '0';

CREATE TABLE `##_media_download_ip` (
 `user_ip` VARCHAR( 15 ) NOT NULL ,
 `download_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
 `media_id` int( 11 ) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LOOK_FOR_ALL', 'Suche in allen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LOOK_FOR_ALL', 'Search in all', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MANUFACTURERS_SORT', 'Reihenfolge', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MANUFACTURERS_SORT', 'sorting', 'admin', NULL);

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'Freie Downloads ohne Login', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'Free downloads without login', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PUBLIC_DOWNLOAD_REQUIRE_LOGIN', 'Bitte registrieren Sie sich um diesen Artikel herunterladen zu knnen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PUBLIC_DOWNLOAD_REQUIRE_LOGIN', 'Please register to download this product', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_RANGE_STAFFEL', 'Staffelung', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_RANGE_STAFFEL', 'Calculation', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_INSTALLATION_FAIL_REQUIRED_PLUGINS', 'Dieses Plugin bentigt folgende Plugins, bitte installieren Sie diese zuvor.', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_INSTALLATION_FAIL_REQUIRED_PLUGINS', 'This Plugins requires following other plugins, please install them first.', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_NEWS_XT_WORLD', 'xt:Commerce News', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_NEWS_XT_WORLD', 'xt:Commerce News', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'XT_LASTEST_ACTIVITIES', 'xt:Commerce Marketplace', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'XT_LASTEST_ACTIVITIES', 'xt:Commerce Marketplace', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'XT_TOP_PLUGINS', 'Top Plugins', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'XT_TOP_PLUGINS', 'Top Plugins', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'XT_NEW_PLUGINS', 'Neue Plugins/Templates', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'XT_NEW_PLUGINS', 'New Plugins/Templates', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_PERCENT', 'Prozent von Warenkorb', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_PERCENT', 'Percent of Cart', 'admin', '');

ALTER TABLE `##_payment_cost` ADD `payment_cost_percent` INT( 1 ) NOT NULL DEFAULT '0' AFTER `payment_cost_discount`;

UPDATE `##_mail_templates` SET `tpl_special` = 'ALL' WHERE `tpl_type` = 'update_order-admin' AND `tpl_special` = 0;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TPLS_IMPORT', 'Template importieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TPLS_IMPORT', 'Template import', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_REPLACE_EXISTING_TPLS', 'Template berschreiben', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_REPLACE_EXISTING_TPLS', 'Template override', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TPLS', 'Template', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TPLS', 'Template', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_RANGE_STAFFEL', 'Staffelung', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_RANGE_STAFFEL', 'Calculation', 'admin', '');
####
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_TERMSANDCOND_CONFIRMATION', 'Es gelten unsere Allgemeinen Geschftsbedingungen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_TERMSANDCOND_CONFIRMATION', 'Our general terms & conditions apply to this order', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CALCULATE_STATISTIC', 'Berechnung in Statistik', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CALCULATE_STATISTIC', 'Calculation in statistcs', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_DISCOUNT_PERCENT', 'Rabatt in Prozent', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_DISCOUNT_PERCENT', 'Discount in percent', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_ADD', 'Kosten (Gebhr)', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_ADD', 'Costs (total)', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_ADD_PERCENT', 'Kosten (Prozent Aufschlag)', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_ADD_PERCENT', 'Costs (add percentage)', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MODE_LIVE', 'Live', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MODE_LIVE', 'Live', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MODE_SANDBOX', 'Sandbox', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MODE_SANDBOX', 'Sandbox', 'admin', '');
