ALTER TABLE `##_categories` CHANGE `external_id` `external_id` VARCHAR( 255 ) NULL DEFAULT '0';
ALTER TABLE `##_manufacturers` CHANGE `external_id` `external_id` VARCHAR( 255 ) NULL DEFAULT '0';
ALTER TABLE `##_products` CHANGE `external_id` `external_id` VARCHAR( 255 ) NULL DEFAULT '0';
ALTER TABLE `##_customers` CHANGE `external_id` `external_id` VARCHAR( 255 ) NULL DEFAULT '0';
ALTER TABLE `##_customers_addresses` CHANGE `external_id` `external_id` VARCHAR( 255 ) NULL DEFAULT '0';
ALTER TABLE `##_acl_nav` CHANGE `url_i` `url_i` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL , CHANGE `url_d` `url_d` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL ;

CREATE TABLE `##_manufacturers_permission` (
  `pid` int(11) NOT NULL,
  `permission` tinyint(1) default '0',
  `pgroup` varchar(32) NOT NULL,
  PRIMARY KEY  (`pid`,`pgroup`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ATTRIBUTES_PARENT_NAME', 'Übergeordnete Kategorie', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ATTRIBUTES_PARENT_NAME', 'Parent Category', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ACL_GROUP_TO_PERMISSION', 'Zugriffsrecht', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ACL_GROUP_TO_PERMISSION', 'Accesspermission', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_INFOS', 'Zahlungsinformationen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_INFOS', 'Zahlungsinformationen', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_DOWNLOAD', 'Datei laden', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_DOWNLOAD', 'Download file', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CUSTOMER_ID', 'Kundennummer', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CUSTOMER_ID', 'Customer ID', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_DESCRIPTION', 'Beschreibung', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_DESCRIPTION', 'Beschreibung', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_BOX_TITLE_LANGUAGE', 'Sprachen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_BOX_TITLE_LANGUAGE', 'Languages', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'HEADING_PRODUCTS_MANUFACTURERS', 'Hersteller', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'HEADING_PRODUCTS_MANUFACTURERS', 'Manufacturer', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ALL', 'Alle', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ALL', 'All', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_C_SORT_ID', 'Kundengruppe', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_C_SORT_ID', 'Customers Status', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_GROUP_PERMISSION_ALL', 'Alle', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_GROUP_PERMISSION_ALL', 'All', 'admin', '');