<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.14 auf 4.0.15";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.14-4.0.15.sql',DB_PREFIX);

//Mandanten
$shop_ids = array();
$query = "SELECT shop_id FROM " . TABLE_MANDANT_CONFIG . "";
$rs = $db->Execute($query);
while (!$rs->EOF) {
	$shop_ids[] = $rs->fields['shop_id'];
	$rs->MoveNext();
}

$queries = array();

//Update HTML Version DOCTYPE for Multishops
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_META_DOCTYPE_HTML', 'html', 16, 13, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  NULL, NULL)";
}

//Update Captcha Option for Multishops
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_CAPTCHA', 'Standard', 1, 7, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'dropdown', 'captcha')";
}

//Update Favicon for Multishop
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_FAVICON', 'favicon.ico', 1, 8, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'NULL', 'NULL')";
}

//Update federal states option for Multishop
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_ACCOUNT_FEDERAL_STATES', 'true', 5, 9, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse')";
}

//Update VAT-ID Check for Multishop
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "DELETE FROM ".TABLE_CONFIGURATION_MULTI.$shop_id." WHERE config_key = '_STORE_VAT_CHECK_STATUS'";
	$queries[] = "DELETE FROM ".TABLE_CONFIGURATION_MULTI.$shop_id." WHERE config_key = '_STORE_VAT_CHECK_LIVE'";
	$queries[] = "DELETE FROM ".TABLE_CONFIGURATION_MULTI.$shop_id." WHERE config_key = '_STORE_VAT_CHECK_BLOCK'";
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_VAT_CHECK_TYPE', '', 6, 3, '0000-00-00 00:00:00', '0000-00-00 00:00:00',  'dropdown', 'vat_check')";
}

//Update config fields for customer details for Multishop
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_ACCOUNT_DOB_FORMAT', 'dd.mm.yyyy', 5, 2, NULL, '0000-00-00 00:00:00', 'dropdown', 'date_format')";
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_TELEPHONE_MIN_LENGTH', '0', 5, 6, NULL, '0000-00-00 00:00:00', NULL, NULL)";
}

//Update Template option for Multishop
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "UPDATE ".TABLE_CONFIGURATION_MULTI.$shop_id." SET group_id = 18 WHERE config_key = '_STORE_DEFAULT_TEMPLATE'";
}

//Update Paypal Plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_paypal'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	$payment_id = 0;
	$rs2=$db->Execute("SELECT * FROM ".TABLE_PAYMENT." WHERE payment_code='xt_paypal'");
	if ($rs2->RecordCount()==1) {	
		$payment_id = (int)$rs2->fields['payment_id'];
	}
	
	if($plg_id > 0 && $payment_id > 0){

		// 4705
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_MODE_TITLE', 'Modo de prueba (Sandbox)', 'admin', 'xt_paypal');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_EXPRESS_TITLE', 'Activar PayPal Express', 'admin', 'xt_paypal');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ADDRESS_OVERRIDE_TITLE', 'Sobreescribir direccin', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_USER_TITLE', 'PayPal-API-User (Live)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_PWD_TITLE', 'PayPal-API-Password (Live)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_SIGNATURE_TITLE', 'PayPal-API-Signature (Live)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_SANDBOX_USER_TITLE', 'PayPal-API-User (Sandbox)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_SANDBOX_PWD_TITLE', 'PayPal-API-Password (Sandbox)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_API_SANDBOX_SIGNATURE_TITLE', 'PayPal-API-Signature (Sandbox)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_COMPLETED_TITLE', 'Estado del pedido - Finalizado', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_DENIED_TITLE', 'Estado del pedido - cancelar', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_FAILED_TITLE', 'Estado del pedido - rechazado', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_REFUNDED_TITLE', 'Estado del pedido - Pago devuelto', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_REVERSED_TITLE', 'Estado del pedido - cancelar', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ORDER_STATUS_PENDING_TITLE', 'Estado del pedido - En progreso', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_LOGO_TITLE', ' URL de logotipo para la pgina de pago de PayPal (tamao:190x60px Slo accesible a travs de https!!!)', 'admin', 'xt_paypal');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_BORDER_COLOR_TITLE', 'Color para el sitio de PayPal (Formato:FF0000)', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_ACCOUNT_MAIL_TITLE', 'Enviar correo electrnico si la cuenta se genera.', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYPAL_PAYMENT', 'Modalidades de pago', 'admin', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYPAL_EXPRESS', 'PayPal Express Checkout', 'store', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_CHECKOUT_PAYPAL_CONFIRMATION_DESC', 'Por favor, revise toda la informacin y haga clic en (confirmar pedido)', 'store', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYPAL_PAYMENT', 'Modalidades de pago', 'store', 'xt_paypal');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_TEXT_EXPRESS_CART', 'Si hace clic en <b>Compra express con PayPal</b>, ser redirigido automticamente a PayPal. All se puede registrar con su correo electrnico de PayPal y liberar el pago.A continuacin regresa a la tienda, donde puede finalmente completar la compra.', 'store', 'xt_paypal');";			

		$rs3=$db->Execute("SELECT * FROM ".TABLE_CONFIGURATION_PAYMENT." WHERE `config_key`='XT_PAYPAL_CORRECTION'");
		if ($rs3->RecordCount()==0) {		
		// 4769
			foreach ($shop_ids as $shop_id) {
				$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_PAYMENT." (`config_key`, `config_value`, `group_id`, `sort_order`, `type`, `url`, `payment_id`, `shop_id`) VALUES ('XT_PAYPAL_CORRECTION', 'false', '0', '0', 'dropdown', 'conf_truefalse', '".$payment_id."', '".$shop_id."');";				
			}
			
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_PAYPAL_CORRECTION_TITLE', 'Automatische Korrektur.', 'admin', 'xt_paypal');";		
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_PAYPAL_CORRECTION_TITLE', 'automatic correction', 'admin', 'xt_paypal');";		
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PAYPAL_CORRECTION_TITLE', 'Correccin automtica', 'admin', 'xt_paypal');";		
			
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NAME', 'Korrektur', 'store', 'xt_paypal');";		
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NAME', 'Correction', 'store', 'xt_paypal');";		
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NAME', 'Correccin', 'store', 'xt_paypal');";	
			
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NUMBER', 'Handling', 'store', 'xt_paypal');";				
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NUMBER', 'Handling', 'store', 'xt_paypal');";				
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYPAL_PAYMENT_CORRECTION_PRODUCT_NUMBER', 'Handling', 'store', 'xt_paypal');";				
		}
			
		
		// 4868
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/cart_tpl_form.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='cart_tpl_form' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/form_handler_php_data_array_bottom.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='form_handler.php:data_array_bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_first.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_first' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/class_customer_php__buildCustomerAddressData_top.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='class.customer.php:_buildCustomerAddressData_top' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/class_payment_php__buildData_filter.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='class.payment.php:_buildData_filter' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/page_registry_php_bottom.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='page_registry.php:bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/class_checkout_php__selectShipping_tpl_data.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='class.checkout.php:_selectShipping_tpl_data' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_bottom.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_page_actions.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_page_actions' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_selections.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_selections' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_shipping_bottom.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_shipping_bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_checkout_php_checkout_payment_bottom.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_payment_bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/form_handler_php_select_address_bottom.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='form_handler.php:select_address_bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_cart_php_tpl_data.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_cart.php:tpl_data' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/module_cart_php_tpl_data.php';	\" WHERE `plugin_id`='".$plg_id."' AND `hook`='javascript.php:bottom' ;";
		$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_paypal/hooks/styles_php_bottom.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='styles.php:bottom' ;";

		// 4909
		$queries[] = "UPDATE ".TABLE_LANGUAGE_CONTENT." SET `language_value` = '<small>If you push the button <b>Express-Buy with PayPal</b> you will be automatically forwarded to PayPal. Login with your PayPal account and authorise your payment. After authorizing your payment you come back to the shop and finalize your purchase.</small>' WHERE `language_code` = 'en' AND `language_key` = 'XT_PAYPAL_TEXT_EXPRESS_CART';";
		
		//update version
		$queries[] = "UPDATE ".TABLE_PLUGIN_PRODUCTS." SET version='1.2.9' WHERE plugin_id=".$plg_id;
	}
}

//Update Coupon Plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_coupon'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
	
		// 4905
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'cart_bottom', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_coupons/hooks/cart_bottom.php'; \", '1', 'xt_coupon', '1') ;";	
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'box_cart_bottom_tpl', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_coupons/hooks/box_cart_bottom_tpl.php'; \", '1', 'xt_coupon', '1') ;";	
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'module_cart.php:cart_top', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_coupons/hooks/module_cart_php_cart_top.php'; \", '1', 'xt_coupon', '1') ;";	
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'module_cart.php:tpl_data', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_coupons/hooks/module_cart_php_tpl_data.php'; \", '1', 'xt_coupon', '1') ;";	
		
		foreach ($shop_ids as $shop_id) {
			// 4905
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_COUPONS_CART_PAGE', 'false', '".$plg_id."', 'dropdown', 'conf_truefalse', '0', '".$shop_id."');";				
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_COUPONS_CART_BOX', 'false', '".$plg_id."', 'dropdown', 'conf_truefalse', '0', '".$shop_id."');";	

			// 4907
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_COUPONS_LOGIN', 'true', '".$plg_id."', 'dropdown', 'conf_truefalse', '0', '".$shop_id."');";				
			
			// 4915
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_COUPONS_CHECKOUT_PAGE', 'true', '".$plg_id."', 'dropdown', 'conf_truefalse', '0', '".$shop_id."');";		
			
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_COUPONS_USE_LEFTOVER', 'false', '".$plg_id."', 'dropdown', 'conf_truefalse', '0', '".$shop_id."');";		
			
		}		
		
		//4905
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_COUPONS_CART_PAGE_TITLE', 'Warenkorb Seite', 'admin', 'xt_coupon');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_COUPONS_CART_PAGE_TITLE', 'Cart Page', 'admin', 'xt_coupon');";
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_COUPONS_CART_BOX_TITLE', 'Warenkorb box', 'admin', 'xt_coupon');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_COUPONS_CART_BOX_TITLE', 'Cart Box', 'admin', 'xt_coupon');";		
		
		// 4907
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_COUPONS_LOGIN_TITLE', 'eingeloggte Kunden', 'admin', 'xt_coupon');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_COUPONS_LOGIN_TITLE', 'Customer login', 'admin', 'xt_coupon');";
		
		// 4915
		$queries[] = "ALTER TABLE ".DB_PREFIX."_coupons ADD `coupon_free_on_100_status` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0';";
		$queries[] = "ALTER TABLE ".DB_PREFIX."_coupons_token ADD `coupon_token_amount` DOUBLE(15,4) NULL DEFAULT '0.0000';";
		
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'class.payment.php:_calcPrice_top', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_coupons/hooks/class_payment_php__calcPrice_top.php';\", '1', 'xt_coupon', '3') ;";
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'Checkout-Seite', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'checkout page', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'pagina de checkout', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'checkout page', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'checkout page', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'XT_COUPONS_CHECKOUT_PAGE_TITLE', 'checkout page', 'admin', 'xt_coupon');";		

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_COUPONS_CART_PAGE_TITLE', 'pagina de cesta', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'XT_COUPONS_CART_PAGE_TITLE', 'cart page', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'XT_COUPONS_CART_PAGE_TITLE', 'cart page', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'XT_COUPONS_CART_PAGE_TITLE', 'cart page', 'admin', 'xt_coupon');";		
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_COUPONS_CART_BOX_TITLE', 'seleccin de cesta', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'XT_COUPONS_CART_BOX_TITLE', 'cart box', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'XT_COUPONS_CART_BOX_TITLE', 'cart box', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'XT_COUPONS_CART_BOX_TITLE', 'cart box', 'admin', 'xt_coupon');";	
		
		$queries[] = "UPDATE ".TABLE_LANGUAGE_CONTENT." SET `language_value` = 'nur mit Kunden-Login' WHERE `language_code` = 'de' AND `language_key` =  'XT_COUPONS_LOGIN_TITLE';";
		$queries[] = "UPDATE ".TABLE_LANGUAGE_CONTENT." SET `language_value` = 'with customer login only' WHERE `language_code` = 'en' AND `language_key` =  'XT_COUPONS_LOGIN_TITLE';";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_COUPONS_LOGIN_TITLE', 'Solo registro de clientes', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'XT_COUPONS_LOGIN_TITLE', 'with customer login only', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'XT_COUPONS_LOGIN_TITLE', 'with customer login only', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'XT_COUPONS_LOGIN_TITLE', 'with customer login only', 'admin', 'xt_coupon');";		

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'Restwert zulassen (nur ohne Steuerklasse)', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'allow leftover value (only without tax class)', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'permitir cantidad restante', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'allow leftover value', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'allow leftover value', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'XT_COUPONS_USE_LEFTOVER_TITLE', 'allow leftover value', 'admin', 'xt_coupon');";				
		
		$queries[] = "UPDATE ".TABLE_LANGUAGE_CONTENT." SET `language_value` = 'Gift Voucher code has already been used' WHERE `language_code` = 'en' AND `language_key` =  'TEXT_COUPON_ERROR_TOKEN_USED';";	

	
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_HEADLINE', 'Coupon', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_HEADLINE', 'Coupon', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_HEADLINE', 'Coupon', 'store', 'xt_coupon');";		

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_LABEL', 'Coupon Code', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_LABEL', 'Coupon Code', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_LABEL', 'Coupon Code', 'store', 'xt_coupon');";			

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_BUTTON', 'Redeem', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_BUTTON', 'Redeem', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_BUTTON', 'Redeem', 'store', 'xt_coupon');";	

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_REDEEMED', 'redeemed Code', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_REDEEMED', 'redeemed Code', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_REDEEMED', 'redeemed Code', 'store', 'xt_coupon');";			
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_TAX_CLASS', 'tax class', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_TAX_CLASS', 'tax class', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_TAX_CLASS', 'tax class', 'admin', 'xt_coupon');";				
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_COUPON_FREE_ON_100_STATUS', 'freier Versand bei 100%-Gutschein', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_COUPON_FREE_ON_100_STATUS', 'free shipping with 100% coupon', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_COUPON_FREE_ON_100_STATUS', 'envo gratis con el 100% de descuento', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_FREE_ON_100_STATUS', 'free shipping with 100% coupon', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_FREE_ON_100_STATUS', 'free shipping with 100% coupon', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_FREE_ON_100_STATUS', 'free shipping with 100% coupon', 'admin', 'xt_coupon');";			

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_COUPON_TOKEN_AMOUNT', 'Restwert', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_COUPON_TOKEN_AMOUNT', 'leftover value', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_COUPON_TOKEN_AMOUNT', 'cantidad restante', 'admin', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_TOKEN_AMOUNT', 'leftover value', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_TOKEN_AMOUNT', 'leftover value', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_TOKEN_AMOUNT', 'leftover value', 'admin', 'xt_coupon');";			

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_COUPON_ADDED_LEFTOVER', 'Es verbleibt ein Restwert:', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_COUPON_ADDED_LEFTOVER', 'It remains a leftover value:', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_COUPON_ADDED_LEFTOVER', 'Queda una cantidad restante de:', 'store', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_ADDED_LEFTOVER', 'It remains a leftover value:', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_ADDED_LEFTOVER', 'It remains a leftover value:', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_ADDED_LEFTOVER', 'It remains a leftover value:', 'store', 'xt_coupon');";				
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_COUPON_INVALID_TOTAL', 'Es ist ein ungltiger Sonderfall aufgetreten. Bitte wiederholen Sie den Vorgang.', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_COUPON_INVALID_TOTAL', 'It occurred an invalid special case. Please repeat the process.', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_COUPON_INVALID_TOTAL', 'Se trata de un caso especial no vlida ocurrido. Por favor, repita el proceso.', 'store', 'xt_coupon');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'tw', 'TEXT_COUPON_INVALID_TOTAL', 'It occurred an invalid special case. Please repeat the process.', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'cn', 'TEXT_COUPON_INVALID_TOTAL', 'It occurred an invalid special case. Please repeat the process.', 'store', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'jp', 'TEXT_COUPON_INVALID_TOTAL', 'It occurred an invalid special case. Please repeat the process.', 'store', 'xt_coupon');";				
		
		//5078
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_TYPE', 'Import/Export:', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_TYPE', 'Import/Export', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TYPE', 'Importacin/Exportacin', 'admin', 'xt_coupon');";		

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_ID', 'ID', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_ID', 'ID', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_ID', 'ID', 'admin', 'xt_coupon');";			
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_TITLE', 'Description', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_TITLE', 'Beschreibung', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TITLE', 'Descripcin', 'admin', 'xt_coupon');";			
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_LIMIT', 'records limit', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_LIMIT', 'Datens&amp;auml;tze pro Durchgang', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_LIMIT', 'Registros por pasada', 'admin', 'xt_coupon');";			
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_DELIMITER', 'Seperator', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_DELIMITER', 'Trennzeichen', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_DELIMITER', 'Delimitadores', 'admin', 'xt_coupon');";			
	
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_EI_FILENAME', 'Filename', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_EI_FILENAME', 'Dateiname', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_FILENAME', 'Nombre del archivo', 'admin', 'xt_coupon');";				

		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_XT_COUPONS_TOKEN_IM_EXPORT', 'Voucher Im-/Export edit', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_XT_COUPONS_TOKEN_IM_EXPORT', 'Gutschein Im-/Export Bearbeiten', 'admin', 'xt_coupon');";				
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_COUPONS_TOKEN_IM_EXPORT', 'Vale Im-/Export edicin', 'admin', 'xt_coupon');";			
		
		//update version
		$queries[] = "UPDATE ".TABLE_PLUGIN_PRODUCTS." SET version='1.3.7' WHERE plugin_id=".$plg_id;		
	}
}

//Update Auto Cross Sell plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_auto_cross_sell'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_AUTO_CROSS_SELL_MAX_DISPLAY_TITLE', 'Max. Cantidad', 'admin', 'xt_auto_cross_sell');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_HEADING_AUTO_CROSS_SELL', 'Los clientes tambin compraron', 'store', 'xt_auto_cross_sell');";			
	}
	
}

//Update Cross Selling plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_cross_selling'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_CROSS_SELLING_MAX_DISPLAY_TITLE', 'Cantidad de artculos', 'admin', 'xt_cross_selling');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_HEADING_CROSS_SELL', 'Accesorios recomendados', 'store', 'xt_cross_selling');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'HEADING_CROSS_SELLING_TO_PRODUCTS', 'Venta cruzada', 'admin', 'xt_cross_selling');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRODUCTS_CROSS_SELLING', 'Venta cruzada', 'admin', 'xt_cross_selling');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_CROSS_SELL_PRODUCTS', 'Seleccin de venta cruzada', 'admin', 'xt_cross_selling');";		
		
	}
	
}


//Update New products plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_new_products'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'ACTIVATE_XT_NEW_PRODUCTS_PAGE_TITLE', 'Activar pgina', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'ACTIVATE_XT_NEW_PRODUCTS_BOX_TITLE', 'Activar recuadro', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_NEW_PRODUCTS_BOX_LIMIT_TITLE', 'Cantidad de artculos en el recuadro', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_NEW_PRODUCTS_PAGE_LIMIT_TITLE', 'Cantidad de artculos', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_NEW_PRODUCTS_BOX_DAYS_TITLE', 'Recuadro nmero de das', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_NEW_PRODUCTS_PAGE_DAYS_TITLE', 'Nmero de das', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_NEW_PRODUCTS_PAGE_TPL_TITLE', 'Plantilla', 'admin', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'INSTALLED_XT_NEW_PRODUCTS_TITLE', 'Estado', 'admin', 'xt_new_products');";	
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_HEADING_NEW_PRODUCTS', 'Nuevos productos', 'store', 'xt_new_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_NEW_PRODUCTS', 'Nuestras novedades', 'store', 'xt_new_products');";		
	
		
	}
	
}

//Update Bestseller products
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_bestseller_products'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'admin_dropdown.php:dropdown', \"include(_SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_bestseller_products/hooks/admin_dropdown.php_dropdown.php');\", '1', 'xt_bestseller_products', '1') ;";	
		
		foreach ($shop_ids as $shop_id) {
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (`config_key`, `config_value`, `plugin_id`, `type`, `url`, `group_id`, `shop_id`) VALUES ('XT_BESTSELLER_PRODUCTS_SHOW_TYPE', 'nothing', '".$plg_id."', 'dropdown', 'plg_xt_bestseller_products_show_type', '0', '".$shop_id."');";	
		}
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_BESTSELLER_PRODUCTS_SHOW_TYPE_TITLE', 'Produktauswahl', 'admin', 'xt_bestseller_products');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_BESTSELLER_PRODUCTS_SHOW_TYPE_TITLE', 'Products to show', 'admin', 'xt_bestseller_products');";
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_BESTSELLER_PRODUCTS_MASTER', 'Masters + Normal', 'admin', 'xt_bestseller_products');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_BESTSELLER_PRODUCTS_MASTER', 'Masters + Normal', 'admin', 'xt_bestseller_products');";	
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_BESTSELLER_PRODUCTS_SLAVE', 'Slaves + Normal', 'admin', 'xt_bestseller_products');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_BESTSELLER_PRODUCTS_SLAVE', 'Slaves + Normal', 'admin', 'xt_bestseller_products');";		
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'XT_BESTSELLER_PRODUCTS_NOTHING', 'Nur normale', 'admin', 'xt_bestseller_products');";			
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'XT_BESTSELLER_PRODUCTS_NOTHING', 'Only normal', 'admin', 'xt_bestseller_products');";			
	}
	
}

//Update xt_reviews plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_reviews'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_WRITE', 'Escribir evaluacin', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_INFO', 'Evaluacin(es)', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_HEADING_WRITE_REVIEW', 'Escriba su propia evaluacin', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_PRODUCT', 'Producto', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_RATING_DESC', 'Califique este producto en una escala de 1 a 5, siendo 5 la mejor puntuacin.', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_RATE_DESC', 'Su evaluacin', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_TITLE_DESC', 'Ttulo de su evaluacin', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_TEXT_DESC', 'Texto de su calificacin', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_ERROR_LOGIN', 'Para realizar una evaluacin debe estar registrado.', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_HEADING_REVIEWS', 'Evaluacin(es)', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_EDITOR', 'Escrito por', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_REVIEWS_NO_REVIEWS', 'An no hay evaluaciones sobre este artculo', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_REVIEWS_ADD_SUCCESS', 'Muchas gracias por su evaluacin!', 'store', 'xt_reviews');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_REVIEWS_MAX_DISPLAY_PRODUCTS_TITLE', 'Nmero de evaluaciones', 'admin', 'xt_reviews');";		

	}
	
}

//Update xt_special_products plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_special_products'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'ACTIVATE_XT_SPECIAL_PRODUCTS_PAGE_TITLE', 'Activar pgina', 'admin', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'ACTIVATE_XT_SPECIAL_PRODUCTS_BOX_TITLE', 'Ver recuadro', 'admin', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SPECIAL_PRODUCTS_BOX_LIMIT_TITLE', 'Cantidad de artculos en el recuadro', 'admin', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SPECIAL_PRODUCTS_PAGE_LIMIT_TITLE', 'Cantidad de artculos', 'admin', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SPECIAL_PRODUCTS_PAGE_TPL_TITLE', 'Plantilla', 'admin', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_HEADING_SPECIAL_PRODUCTS', 'Ofertas', 'store', 'xt_special_products');";		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_SPECIAL_PRODUCTS', 'Nuestras ofertas', 'store', 'xt_special_products');";		
	}
	
}

//Update xt_master_slave plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_master_slave'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_MASTER_SLAVE_ACTIVE_TITLE', 'Estado', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', '_PLUGIN_MASTER_SLAVE_SHOW_SLAVE_PRODUCTS_TITLE', 'Mostrar artculo esclavo', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', '_PLUGIN_MASTER_SLAVE_REDIRECT_TO_SLAVE_TITLE', 'Transferencia a artculos esclavos', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', '_PLUGIN_MASTER_SLAVE_SHOW_OPTIONS_TITLE', 'Ver seleccin de opciones', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', '_PLUGIN_MASTER_SLAVE_SHOW_SLAVE_LIST_TITLE', 'Ver lista de productos esclavos', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', '_PLUGIN_MASTER_SLAVE_SHOW_MAX_PRODUCTS_TITLE', 'Lista de productos esclavos', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_MASTER_SLAVE_CONF_SHOW_RESET_TITLE', 'Vere botn de cancelacin', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_MASTER_SLAVE_CONF_SHOW_LINK_TITLE', 'Ver enlace al maestro', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_NO_SELECTION', 'por favor seleccionar', 'store', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_MASTER_SLAVE', 'Maestro / Esclavo', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRODUCTS_TO_ATTRIBUTES', 'Propiedades del artculo', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRODUCTS_MASTER_FLAG', 'Artculo principal s / no', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_ID', 'ID', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_PARENT', 'Categora superior', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_MODEL', 'Model', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_IMAGE', 'Imagen', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_NAME', 'Nombre', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_DESC', 'Descripcin', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'HEADING_XT_MASTER_SLAVE', 'Caractersticas maestro / esclavo', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRODUCTS_OPTION_LIST_TEMPLATE', 'Plantilla para la lista de artculos esclavos', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_ATTRIBUTES_PARENT_NAME', 'Deseleccionar', 'admin', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_MASTER_SLAVE_TEXT_RESET_OPTIONS', 'Deseleccionar', 'store', 'xt_master_slave');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_MASTER_SLAVE_TEXT_LINK_TO_MASTER', 'Volver al artculo principal', 'store', 'xt_master_slave');";
		

	}
	
}

//Update xt_privacycheck plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_privacycheck'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PRIVACYCHECK_SHOW_TITLE', 'Activar', 'admin', 'xt_privacycheck');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_PRIVACYCHECK_TYPE_TITLE', 'Confirmacin necesaria', 'admin', 'xt_privacycheck');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRIVACY_CHECK_ERROR', 'Por favor, acepte nuestra poltica de privacidad.', 'store', 'xt_privacycheck');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRIVACY_TEXT', 'Declaracin de privacidad', 'store', 'xt_privacycheck');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PRIVACY_TEXT_INFO', 'Por favor, lea nuestra declaracin de privacidad', 'store', 'xt_privacycheck');";
	
	}
	
}

//Update xt_socialbookmarks plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_socialbookmarks'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_DELICIOUS_TITLE', 'delicious', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_DIGG_TITLE', 'Digg', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_FURL_TITLE', 'Furl', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_BLINKLIST_TITLE', 'Blinklist', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_REDDIT_TITLE', 'Reddit', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_TECHNORATI_TITLE', 'Technorati', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_YAHOOMYWEB_TITLE', 'Yahoo My Web', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_NEWSVINE_TITLE', 'Newsvine', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_SOCIALIZER_TITLE', 'Socializer', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_STUMBLEUPON_TITLE', 'Stumbleupon', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_GOOGLEBOOKMARKS_TITLE', 'Google Bookmarks', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_RAWSUGAR_TITLE', 'RawSugar', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_SQUIDOO_TITLE', 'Squidoo', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_SPURL_TITLE', 'Spurl', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_BLINKBITS_TITLE', 'BlinkBits', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_NETVOUZ_TITLE', 'Netvouz', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_ROJO_TITLE', 'Rojo', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_BLOGMARKS_TITLE', 'Blogmarks', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_SCUTTLE_TITLE', 'Scuttle', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_YIGG_TITLE', 'Yigg', 'admin', 'xt_socialbookmarks');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'XT_SOCIALBOOKMARKS_MRWONG_TITLE', 'MrWong', 'admin', 'xt_socialbookmarks');";

	}
	
}

//Update xt_payment_restriction plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_payment_restriction'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYMENT_RESTRICTION', 'Bloquear forma de pago', 'admin', 'xt_payment_restriction');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYMENT_RESTRICTION_COUNT', 'Nmero de pedidos', 'admin', 'xt_payment_restriction');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_PAYMENT_RESTRICTION_AMOUNT', 'Monto de pedido', 'admin', 'xt_payment_restriction');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_RESTRICTION_CLASS', 'Tipo', 'admin', 'xt_payment_restriction');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_RESTRICTION_VALUE', 'Valor', 'admin', 'xt_payment_restriction');";

	}
	
}

//Update xt_im_export plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_im_export'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "ALTER TABLE ".DB_PREFIX."_exportimport MODIFY `ei_limit` int(11) NOT NULL default '100';";
		
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'EI_ALLOWED_PRIMARY_TITLE', 'Clave principal', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'EI_ALLOWED_SECONDARY_TITLE', 'Clave secundaria', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_PRICE_TYPE', 'Precios brutos', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_LANGUAGE', 'Dependen del idioma', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TYPE_MATCH_2', 'Clave secundaria', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TYPE_MATCH', 'Clave principal', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_ENCLOSURE', 'Delimitador de texto', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_XT_IM_EXPORT', 'Importacin/Exportacin', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_FILENAME', 'Nombre del archivo', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_LIMIT', 'Registros por pasada', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_DELIMITER', 'Delimitadores', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TITLE', 'Descripcin', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TYPE_SPEC', 'Tipo', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_TYPE', 'Importacin/Exportacin', 'admin', 'xt_im_export');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'TEXT_EI_ID', 'ID', 'admin', 'xt_im_export');";

	}
	
}

//Update janolaw_agb_hosting plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='janolaw_agb_hosting'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_ACTIVATE_TITLE', 'Activar para el cliente', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_SHOPID_TITLE', 'ID Cliente', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_KUNDENNUMMER_TITLE', 'Nmero de cliente', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_CONTENT_AGB_TITLE', 'Contenido de trminos', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_CONTENT_IMPRESSUM_TITLE', 'Contenido de pie de imprenta', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_CONTENT_PRIVACY_TITLE', 'Contenido proteccin de datos', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_CONTENT_WIDERRUF_TITLE', 'Contenido derecho de revocacin', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_IMPRESSUM_USE_TITLE', 'Actualizar pie de imprenta', 'admin', 'janolaw_agb_hosting');";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'es', 'JANOLAW_AGB_PRIVACY_USE_TITLE', 'Actualizar proteccin de datos', 'admin', 'janolaw_agb_hosting');";
	
	}
	
}

//Update xt_campaigntracking plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_coupon'");
if ($rs->RecordCount()==1) {
	$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_campaigntracking'");

	if ($rs->RecordCount()==1) {
		$plg_id = (int)$rs->fields['plugin_id'];
		
		if($plg_id > 0 ){
			$queries[] = "
			 CREATE TABLE IF NOT EXISTS ".DB_PREFIX."_campaigntracking (
			  `id` INT UNSIGNED NOT NULL auto_increment,
			  `linked_class` VARCHAR(100) NOT NULL,
			  `linked_id` INT UNSIGNED NOT NULL,
			  `passed_by_reference_method` VARCHAR(100) NULL DEFAULT '',
			  `checkout_completed_method` VARCHAR(100) NULL DEFAULT '',
			  `custom_reference` VARCHAR(255) NULL DEFAULT '',
			  `hash` VARCHAR(100) NOT NULL,
			  PRIMARY KEY (id),
			  INDEX (linked_class, linked_id),
			  INDEX (hash)
			) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
			";
			
			$queries[] = "DROP TABLE IF EXISTS ".DB_PREFIX."_campaigntracking";
			$queries[] = "ALTER TABLE ".DB_PREFIX."_coupons DROP COLUMN custom_reference";	
			
			$queries[] = "INSERT INTO ".DB_PREFIX."_plugin_sql (`plugin_id`,`version`,`install`,`uninstall`) VALUES('".$plg_id."', '1.0.1', '$db->Execute(\"
	 CREATE TABLE IF NOT EXISTS \".DB_PREFIX.\"_campaigntracking (
	  `id` INT UNSIGNED NOT NULL auto_increment,
	  `linked_class` VARCHAR(100) NOT NULL,
	  `linked_id` INT UNSIGNED NOT NULL,
	  `passed_by_reference_method` VARCHAR(100) NULL DEFAULT \\'\\',
	  `checkout_completed_method` VARCHAR(100) NULL DEFAULT \\'\\',
	  `custom_reference` VARCHAR(255) NULL DEFAULT \\'\\',
	  `hash` VARCHAR(100) NOT NULL,
	  PRIMARY KEY (id),
	  INDEX (linked_class, linked_id),
	  INDEX (hash)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
	\");
	
	$db->Execute(\"ALTER TABLE \".DB_PREFIX.\"_coupons ADD custom_reference varchar(255) NULL DEFAULT \\'\\';\");', '$db->Execute(\"DROP TABLE IF EXISTS \".DB_PREFIX.\"_campaigntracking\");
	$db->Execute(\"ALTER TABLE \".DB_PREFIX.\"_coupons DROP COLUMN custom_reference\");') ";
	
			$queries[] = "INSERT INTO ".TABLE_PLUGIN_CODE." (`plugin_id`, `hook`, `code`, `code_status`, `plugin_code`,`sortorder`) VALUES ('".$plg_id."', 'page_registry.php:bottom', \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_campaigntracking/hooks/page_registry.phpbottom.php';\", '1', 'xt_campaigntracking', '1') ;";	
			
			$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_campaigntracking/hooks/store_main.phpbottom.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='store_main.php:bottom' ;";
			
			$queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET `code` = \"include _SRV_WEBROOT._SRV_WEB_PLUGINS.'xt_campaigntracking/hooks/module_checkout.phpcheckout_proccess_order_processed.php';\" WHERE `plugin_id`='".$plg_id."' AND `hook`='module_checkout.php:checkout_proccess_order_processed' ;";
			
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'de', 'TEXT_CUSTOM_REFERENCE', 'Custom reference for tracking', 'admin', 'xt_campaigntracking');";			
			$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (`translated`, `language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('1', 'en', 'TEXT_CUSTOM_REFERENCE', 'Custom reference for tracking', 'admin', 'xt_campaigntracking');";			
		}
	}
	
}

//Update Version of SHOP
$queries[] = "UPDATE ".TABLE_CONFIGURATION." SET config_value = '4.0.15' WHERE config_key ='_SYSTEM_VERSION';";

foreach ($queries as $key => $val) {
    try {
        $val = str_replace('##_',DB_PREFIX.'_',$val);
        $db->Execute($val);
    } catch (exception $e) {
        $errors[]=array('message'=>$e->msg);
    }
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>