<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.6 auf 4.0.7";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.6-4.0.7.sql',DB_PREFIX);

$queries = array();
$queries[] = "ALTER TABLE ##_media_link CHANGE type type ENUM( 'gallery', 'media', 'images' ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'images';";
$queries[] = "UPDATE ##_media_link set type = 'images' where type = '';";
$queries[] = "ALTER TABLE ##_customers_status DROP shop_1;";

$queries[] = "ALTER TABLE ##_seo_url DROP INDEX url_text;";

$queries[] = "ALTER TABLE ##_seo_url DROP INDEX url_md5;";
$queries[] = "ALTER TABLE ##_seo_url DROP INDEX link_type;";

$queries[] = "ALTER TABLE ##_seo_url ADD FULLTEXT (url_text);";
$queries[] = "ALTER TABLE ##_seo_url ADD INDEX (link_id);";

$queries[] = "UPDATE ##_config SET config_value = '4.0.7' WHERE config_key ='_SYSTEM_VERSION';";

foreach ($queries as $key => $val) {
	try {
		$val = str_replace('##_',DB_PREFIX.'_',$val);
		$db->Execute($val);
	} catch (exception $e) {
		$errors[]=array('message'=>$e->msg);
	}
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>
