<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.8 auf 4.0.9";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.8-4.0.9.sql',DB_PREFIX);

$queries = array();
$queries[] = "UPDATE ##_mail_templates_content SET mail_body_txt=(REPLACE(mail_body_txt,'address_data.customers_firstname','address_data.default.customers_firstname')) WHERE tpl_id=2;";
$queries[] = "UPDATE ##_mail_templates_content SET mail_body_txt=(REPLACE(mail_body_txt,'address_data.customers_lastname','address_data.default.customers_lastname')) WHERE tpl_id=2;";
$queries[] = "UPDATE ##_mail_templates_content SET mail_body_html=(REPLACE(mail_body_html,'address_data.customers_lastname','address_data.default.customers_lastname')) WHERE tpl_id=2;";
$queries[] = "UPDATE ##_mail_templates_content SET mail_body_html=(REPLACE(mail_body_html,'address_data.customers_lastname','address_data.default.customers_lastname')) WHERE tpl_id=2;";

$queries[] = "UPDATE ##_config SET config_value = '4.0.9' WHERE config_key ='_SYSTEM_VERSION';";
$queries[] = "ALTER TABLE ##_content ADD content_sort INT( 11 ) NOT NULL DEFAULT '0';";

$queries[] = "ALTER TABLE ##_orders_status_history CHANGE orders_id orders_id INT( 11 ) NULL;";
$queries[] = "ALTER TABLE ##_orders_status_history CHANGE orders_status_id orders_status_id INT( 5 ) NULL;";
$queries[] = "ALTER TABLE ##_orders_status_history CHANGE change_trigger change_trigger VARCHAR( 32 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'user';";
$queries[] = "ALTER TABLE ##_orders_status_history CHANGE callback_id callback_id INT( 11 ) NULL DEFAULT '0';";
$queries[] = "ALTER TABLE ##_manufacturers ADD external_id INT( 11 ) NULL AFTER manufacturers_id;";

$query = "SELECT shop_id FROM " . TABLE_MANDANT_CONFIG . "";
$rs = $db->Execute($query);
while (!$rs->EOF) {

	$queries[] = "INSERT INTO ##_config_".$rs->fields['shop_id']." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_META_FREE_META','', 16, 12, NULL, '0000-00-00 00:00:00', NULL, NULL);";
	$queries[] = "INSERT INTO ##_config_".$rs->fields['shop_id']." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_CONTACT_EMAIL','', 12, 8, NULL, '0000-00-00 00:00:00', NULL, NULL);";
	$queries[] = "UPDATE ##_config_".$rs->fields['shop_id']." SET url = 'categories_template' WHERE config_key ='_STORE_TEMPLATE_CATEGORY_LISTING';";

	$rs->MoveNext();
}$rs->Close();

foreach ($queries as $key => $val) {
	try {
		$val = str_replace('##_',DB_PREFIX.'_',$val);
		$db->Execute($val);
	} catch (exception $e) {
		$errors[]=array('message'=>$e->msg);
	}
}


if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>
