<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: image_update.php 4794 2011-07-29 11:40:49Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

error_reporting(E_ERROR | E_PARSE);

define('_VALID_CALL','true');
define('USER_POSITION', 'installer');
if (defined(_UPD_VERSION)) die('-update blocked');
define('_UPD_VERSION','4.0.15');

$root_dir = dirname(__FILE__);
$root_dir = str_replace('xtUpdater','',$root_dir);

$sys_dir = $_SERVER['SCRIPT_NAME'];
$sys_dir = substr($sys_dir, 0, strripos($sys_dir, '/')+1);
$sys_dir = str_replace('xtUpdater/', '', $sys_dir);

define('_SRV_WEBROOT',$root_dir);
define('_SRV_WEB', $sys_dir);

if (!is_writeable(_SRV_WEBROOT.'templates_c')) die ('- Benoetige Schreibrechte auf templates_c -');

include _SRV_WEBROOT.'conf/paths.php';

include _SRV_WEBROOT.'xtUpdater/functions/installer.helper.php';

include _SRV_WEBROOT . 'xtFramework/classes/class.filter.php';
$filter = new filter();

// start session
session_name(substr(md5($root_dir),0,6));
session_start();

include _SRV_WEBROOT.'xtUpdater/lang/de.php';

include _SRV_WEBROOT.'xtFramework/library/smarty/Smarty.class.php';
include _SRV_WEBROOT.'xtFramework/library/smarty/SmartyValidate.class.php';

include _SRV_WEBROOT._SRV_WEB_FRAMEWORK.'library/adodb/adodb-exceptions.inc.php';
include _SRV_WEBROOT._SRV_WEB_FRAMEWORK.'library/adodb/adodb.inc.php';

$tpl = new smarty();
$sub_tpl = new smarty();

$tpl->template_dir = _SRV_WEBROOT.'xtUpdater/templates';
$tpl->compile_dir = _SRV_WEBROOT.'templates_c';

$sub_tpl->template_dir = _SRV_WEBROOT.'xtUpdater/templates';
$sub_tpl->compile_dir = _SRV_WEBROOT.'templates_c';

/**
 * page handling
 */

$update = str_replace('.','',_UPD_VERSION);

// check if license file has permission to update
$_lic = _SRV_WEBROOT.'lic/license.txt';
if (!file_exists($_lic)) die ('- VEYTON License File missing (license.txt) -');
	$val_line = '';
	$bline = '';
    $_file_content = file($_lic);
    foreach ($_file_content as $bline_num => $bline) {
        if(ereg('maxversion:', $bline)){
            $val_line = $bline;
            break;
        }
    }

    $val_line = explode(':',$val_line);
    $_max_version = '';
    $_max_version = trim($val_line[1]);
    unset($val_line);
    unset($_lic);
// end license check

if ($update > $_max_version) {
	// not allowed to update
	$sub_tpl->assign('update_restricted','yes');
}

if (!isset($_GET['page'])) {
include 'pages/page.start.php';
} else {
	$page = $_GET['page'];

	if (file_exists(_SRV_WEBROOT.'xtUpdater/pages/page.'.$page.'.php')) {
		include _SRV_WEBROOT.'xtUpdater/pages/page.'.$page.'.php';
	}

}

$page_content = $tpl->fetch('index.html');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de">
<head>
<link rel="stylesheet" type="text/css" href="<?php echo _SRV_WEB; ?>xtUpdater/templates/css/installer.css" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<?php
if (isset($link_next)) {
?>
<meta http-equiv="refresh" content="2; URL=<?php echo $link_next; ?>">
<?php
}
?>
</head>
<body>
<?php
echo $page_content;
?>
</body>
</html>