<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: page.update.php 5510 2012-09-19 15:57:41Z mario $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

defined('_VALID_CALL') or die('Direct Access is not allowed.');

include _SRV_WEBROOT . 'conf/config.php';
include _SRV_WEBROOT . 'conf/database.php';

$db = ADONewConnection('mysql');
$db->Connect(_SYSTEM_DATABASE_HOST, _SYSTEM_DATABASE_USER, _SYSTEM_DATABASE_PWD, _SYSTEM_DATABASE_DATABASE);
//$db->cacheSecs = _CACHETIME_DEFAULT; // cache 24 hours 3600*24
$db->Execute("SET NAMES 'utf8'");
$db->Execute("SET CHARACTER_SET_CLIENT=utf8");
$db->Execute("SET CHARACTER_SET_RESULTS=utf8");

// get actual Version
$rs = $db->Execute("SELECT * FROM ".TABLE_CONFIGURATION." WHERE config_key='"._SYSTEM_VERSION."'");

$version = $rs->fields['config_value'];
$sub_tpl->assign('shop_version',$version);

$scripts  = array();
$scripts['4.0.5'] = '4.0.5-to-4.0.6-update.php';
$scripts['4.0.6'] = '4.0.6-to-4.0.7-update.php';
$scripts['4.0.7'] = '4.0.7-to-4.0.8-update.php';
$scripts['4.0.8'] = '4.0.8-to-4.0.9-update.php';
$scripts['4.0.9'] = '4.0.9-to-4.0.10-update.php';
$scripts['4.0.10'] = '4.0.10-to-4.0.11-update.php';
$scripts['4.0.11'] = '4.0.11-to-4.0.12-update.php';
$scripts['4.0.12'] = '4.0.12-to-4.0.13-update.php';
$scripts['4.0.13'] = '4.0.13-to-4.0.14-update.php';
$scripts['4.0.14'] = '4.0.14-to-4.0.15-update.php';
$scripts['4.0.15'] = '4.0.15-to-4.0.16-update.php';

$shop = str_replace('.','',$version);
$update = str_replace('.','',_UPD_VERSION);

if ($update > $shop) {
	$sub_tpl->assign('update','yes');
}

// now check if installed DB version == installer version
if (_UPD_VERSION==$version) {
	_redirect(_pageLink('finish'));
}

if (isset($scripts[$version])) {
	include 'update_scripts/'.$scripts[$version];
}

// next
$sub_tpl->assign('link_self',_pageLink('update'));

$tpl->assign('content',$sub_tpl->fetch('page.update.html'));

?>