ALTER TABLE `##_media_link` ADD `sort_order` INT( 11 ) NULL ;
INSERT INTO `##_config_group` VALUES (24, 'TEXT_CONF_IMAGES', 'camera.png', 24, 2);

ALTER TABLE `##_acl_task` ADD `task_key` VARCHAR( 255 ) NULL AFTER `closed` ;

ALTER TABLE `##_orders_status_history` CHANGE `callback_id` `callback_id` VARCHAR( 64 ) NULL ;

ALTER TABLE `##_acl_task` CHANGE `active_id` `active_id` VARCHAR( 32 ) NULL ;
 
ALTER TABLE `##_shipping` ADD `sort_order` INT( 11 ) NULL AFTER `status` ;
 
ALTER TABLE `##_payment` ADD `sort_order` INT( 11 ) NULL AFTER `status` ;
 
ALTER TABLE `##_content` ADD `content_image` VARCHAR( 255 ) NULL AFTER `content_form` ;

ALTER TABLE `##_orders` ADD `delivery_address_book_id` INT( 11 ) NULL AFTER `delivery_country_code` ;

ALTER TABLE `##_orders` ADD `billing_address_book_id` INT( 11 ) NULL AFTER `billing_country_code` ;

ALTER TABLE `##_orders_total` ADD `orders_total_key_id` INT( 11 ) NULL AFTER `orders_total_key` ;

ALTER TABLE `##_languages` ADD `setlocale` VARCHAR( 255 ) NULL ;

ALTER TABLE `##_media` CHANGE `file` `file` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ;

ALTER TABLE `##_acl_nav` CHANGE `icon` `icon` VARCHAR( 255 ) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL  ;

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MOD_REWRITE_404', 'false', 21, 1, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_FILE_COUNT', '100', 24, 25, NULL, '0000-00-00 00:00:00', '', '');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_FILE_SIZE', '100', 24, 26, NULL, '0000-00-00 00:00:00', '', '');
INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_IMAGE_CHOOSER', 'false', 24, 27, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');


INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_FILE_COUNT', 'Anzahl gleichzeitiger Dateiupload', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_FILE_COUNT', 'Max Upload', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_FILE_SIZE', 'Maximale Dateigr&ouml;&szlig;e: (iMB nur für Flashupload) ', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_FILE_SIZE', 'Max Filesize: (MB only Flash Upload)', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ACTION', 'Aktion', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ACTION', 'Action', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CONF_IMAGES', 'Datei Verwaltung', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CONF_IMAGES', 'File Permissions', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SHIPPING_PERMISSION', 'Versandarten', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SHIPPING_PERMISSION', 'Shippingmethods', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_PERMISSION', 'Zahlungsweisen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_PERMISSION', 'Paymentmethods', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_IMPORT_IMAGES', 'Bilder Importieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_IMPORT_IMAGES', 'Import Images', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CHOOSE_IMAGE', 'Bilder w&auml;hlen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CHOOSE_IMAGE', 'Choose Images', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MANUFACTURER_WINDOW', 'Hersteller', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MANUFACTURER_WINDOW', 'Manufacturer', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_IMAGE_CHOOSER', 'Benutze Media Manager f&uuml;r Bildauswahl ', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_IMAGE_CHOOSER', 'Use Media Manager for Image Selection', 'admin', '');

INSERT INTO `##_countries` (`countries_iso_code_2`, `countries_iso_code_3`, `status`, `zone_id`) VALUES('RS', 'SRB', 1, 30);
INSERT INTO `##_countries_description` (`language_code`, `countries_name`, `countries_iso_code_2`) VALUES('de', 'Republik Serbien', 'RS');
INSERT INTO `##_countries_description` (`language_code`, `countries_name`, `countries_iso_code_2`) VALUES('en', 'Serbia', 'RS');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MENU_OPTIONS', 'Bearbeiten', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MENU_OPTIONS', 'Edit', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PROCESS_SEO', 'Suma URLs neu generieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PROCESS_SEO', 'Process Suma URLs', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_START_SEO', 'Starte Generierung', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_START_SEO', 'Start Processing', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CONTENT_IMAGE', 'Bild', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CONTENT_IMAGE', 'Image', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_MOD_REWRITE_404', '404 Seite bei falscher Url', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_MOD_REWRITE_404', '404 Page for not defined url', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_ALLOW_GUEST_ORDERS', 'Gastbestellungen erlauben', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_ALLOW_GUEST_ORDERS', 'Allow Guest Orders', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_TXT_NEW_CUSTOMER_GUEST', 'Wenn Sie als Gast bestellen m&ouml;chten lassen Sie die Passwortfelder einfach leer.', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_TXT_NEW_CUSTOMER_GUEST', 'If you want to order as a guest , please leave the password fields empty.', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SETLOCALE', 'Setlocale', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SETLOCALE', 'Setlocale', 'admin', '');

UPDATE `##_languages` SET `setlocale` = 'en_US;en-US;en' WHERE `code` ='en' LIMIT 1 ;
UPDATE `##_languages` SET `setlocale` = 'de_DE;de-DE;de' WHERE `code` ='de' LIMIT 1 ;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CONTENT_WINDOW', 'Content', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CONTENT_WINDOW', 'Content', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CATEGORY_WINDOW', 'Kategorie', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CATEGORY_WINDOW', 'Category', 'admin', '');

ALTER TABLE `##_orders_products` ADD INDEX (`orders_id`);
ALTER TABLE `##_orders_products` ADD INDEX (`products_quantity`);
ALTER TABLE `##_products` ADD INDEX (`manufacturers_id`);
ALTER TABLE `##_languages` ADD INDEX (`code`);
ALTER TABLE `##_languages` ADD INDEX (`sort_order`);
ALTER TABLE `##_plugin_products` ADD INDEX (`plugin_status`);

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_START', 'Export', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_START', 'Export', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_START_ASK', 'Export starten ?', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_START_ASK', 'Start export ?', 'admin', '');