INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_INSTALLATION_FAIL', 'Installation fehlgeschlagen, bitte setzen Sie schreibrechte auf folgende Pfaade/Datein', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_INSTALLATION_FAIL', 'Installation failed, please set write permissions to listed resources', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_MAX', 'Eingabe f&uuml;r dieses Feld zu lang', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_MAX', 'Input to long for this field', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_MIN', 'Eingabe f&uuml;r dieses Feld zu kurz', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_MIN', 'Input to short for this field', 'admin', '');

ALTER TABLE `##_acl_area_permissions` CHANGE `area_id` `area_id` INT( 11 ) NULL;
ALTER TABLE `##_config_payment` CHANGE `date_added` `date_added` DATETIME NULL;

ALTER TABLE `##_language_content` CHANGE `language_key` `language_key` VARCHAR( 255 ) NULL;
ALTER TABLE `##_language_content` CHANGE `language_value` `language_value` TEXT NULL;
ALTER TABLE `##_language_content` CHANGE `class` `class` VARCHAR( 32 ) NOT NULL DEFAULT 'store';
ALTER TABLE `##_language_content` CHANGE `language_code` `language_code` CHAR( 2 ) NULL;

ALTER TABLE `##_tax_rates` CHANGE `tax_class_id` `tax_class_id` INT( 11 ) NOT NULL DEFAULT '0';
ALTER TABLE `##_tax_rates` CHANGE `tax_rate` `tax_rate` DECIMAL( 7, 4 ) NOT NULL DEFAULT '0';
ALTER TABLE `##_tax_rates` CHANGE `date_added` `date_added` DATETIME NULL;
ALTER TABLE `##_tax_rates` CHANGE `last_modified` `last_modified` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;
   
ALTER TABLE `##_tax_class` CHANGE `last_modified` `last_modified` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP;
ALTER TABLE `##_tax_class` CHANGE `date_added` `date_added` DATETIME NULL;

ALTER TABLE `##_customers_basket` CHANGE `ort_order` `sort_order` INT( 11 ) NULL DEFAULT '0';

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SIMPLE_IMAGE_MANAGER', 'false', 24, 27, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

ALTER TABLE  `##_products` CHANGE  `products_weight`  `products_weight` DECIMAL( 15, 4 ) NULL DEFAULT NULL;

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SQLLOG', 'false', 20, 9, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_SQLLOG', 'Datenbankmonitor aktiv', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_SQLLOG', 'Activate database monitor', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PRODUCTS_DISCOUNT', 'abgezogener Rabatt', 'both', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PRODUCTS_DISCOUNT', 'discount made', 'both', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_DISCOUNT', 'Rabatt', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_DISCOUNT', 'Discount', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SHOP_SSL_DOMAIN', 'SSL Domain', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SHOP_SSL_DOMAIN', 'SSL Domain', 'admin', '');

ALTER TABLE `##_languages` ADD UNIQUE (`code`);
ALTER TABLE `##_languages` ADD `content_language` CHAR( 2 ) NOT NULL AFTER `name` ;
ALTER TABLE `##_languages` ADD `allow_edit` INT( 1 ) NOT NULL DEFAULT '1' AFTER `code` ;
UPDATE `##_languages` SET content_language=code;
ALTER TABLE `##_language_content` ADD `translated` INT( 1 ) NOT NULL DEFAULT '1' AFTER `language_content_id` ;

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_PRODUCT_COPY_PREFIX', '-Kopie-', 23, 10, NULL, '0000-00-00 00:00:00', NULL, NULL);

ALTER TABLE `##_payment_cost` ADD `payment_cost_discount` INT( 1 ) NOT NULL DEFAULT '0' AFTER `payment_price` ;

ALTER TABLE `##_stores` ADD `shop_ssl_domain` VARCHAR( 255 ) NULL AFTER `shop_domain` ;
UPDATE `##_stores` SET `shop_ssl_domain` = `shop_domain` ;

ALTER TABLE `##_feed` CHANGE `feed_date_from_orders` `feed_date_from_orders` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';
ALTER TABLE `##_feed` CHANGE `feed_date_to_orders` `feed_date_to_orders` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00';

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LANGUAGE_IMPORT', 'Sprache Importieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LANGUAGE_IMPORT', 'Import language', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_NOTTRANSLATED', 'Nicht &uuml;bersetzte exportieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_NOTTRANSLATED', 'Export not translated phrases', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LANGUAGE_FILE', 'Sprachdatei', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LANGUAGE_FILE', 'Language file', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_REPLACE_EXISTING', 'Phrasen &uuml;berschreiben', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_REPLACE_EXISTING', 'Replace phrases', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CONTENT_LANGUAGE', 'Inhalts-Sprache', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CONTENT_LANGUAGE', 'content language', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ALLOW_EDIT', 'Eingabefeld Admin', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ALLOW_EDIT', 'Editable in backend', 'admin', '');

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES('_SYSTEM_SEO_URL_LANG_BASED', 'true', 21, 20, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_SEO_URL_LANG_BASED', 'Sprachabh&auml;ngige Seo Urls', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_SEO_URL_LANG_BASED', 'Language Based Seo Urls', 'admin', '');

ALTER TABLE `##_acl_task` CHANGE `action` `action` ENUM( 'new', 'edit', 'save', 'view', 'delete', 'select','unset') NOT NULL;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_EMAIL_ADDRESS_SYNTAX', 'Bitte geben Sie einee g&uuml;ltige E-Mail Adresse an', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_EMAIL_ADDRESS_SYNTAX', 'please enter a valid email address', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_DASHBOARD', 'Dashboard', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_DASHBOARD', 'Dashboard', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CUSTOMERS', 'Kunden', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CUSTOMERS', 'Kunden', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_TODAY', 'Heute', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_TODAY', 'Today', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_YESTERDAY', 'Gestern', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_YESTERDAY', 'Yesterday', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_WEEK', 'Woche', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_WEEK', 'Week', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MONTH', 'Monat', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MONTH', 'Month', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_YEAR', 'Jahr', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_YEAR', 'Year', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_AMOUNT', 'Betrag', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_AMOUNT', 'Amount', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STATS_TOTAL_ORDERS', 'Gesamt', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STATS_TOTAL_ORDERS', 'Overview', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STATS_SALES', 'Verk&auml;ufe', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STATS_SALES', 'Sales', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_DAY', 'Tag', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_DAY', 'Day', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CUSTOMERS_COUNT', 'Anzahl Kunden', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CUSTOMERS_COUNT', 'Customers Count', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_QUANTITY_ORDERED', 'Bestellt', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_QUANTITY_ORDERED', 'Bestellt', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_AMOUNT_TOTAL', 'Gesamt', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_AMOUNT_TOTAL', 'Total', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CATEGORIES_SELECTION', 'Kategorieauswahl', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CATEGORIES_SELECTTION', 'Categories Selection', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MULTI_COPY', 'mehrfach Kopieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MULTI_COPY', 'multi Copy', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MULTI_LINK', 'mehrfach Verlinken', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MULTI_LINK', 'multi Link', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MULTI_MOVE', 'mehrfach Verschieben', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MULTI_MOVE', 'multi Move', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MULTI_ACTION_MENU', 'mehrfach Aktionen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MULTI_ACTION_MENU', 'multi Actions', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MEDIAGALLERY', 'Media Gallery', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MEDIAGALLERY', 'Media Gallery', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_UPLOAD', 'Datei Upload', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_UPLOAD', 'File Upload', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_IMPORT', 'Datei Import', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_IMPORT', 'File Import', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MULTIPLE_UPLOAD', 'Multi Datei Upload', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MULTIPLE_UPLOAD', 'Multi File Upload', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MEDIALIST', 'Media Verwaltung', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MEDIALIST', 'Media Management', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'HEADING_SUB_CONTENT', 'Weitere Informationen', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'HEADING_SUB_CONTENT', 'Further Informations', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_UPDATE', '&Uuml;bernehmen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_UPDATE', 'transfer', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_EDIT_IMAGES', 'Bilder bearbeiten', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_EDIT_IMAGES', 'Edit Images', 'admin', '');

CREATE TABLE `##_shipping_zones` (`zone_id` int(11) NOT NULL auto_increment,`zone_name` varchar(32) default NULL,`zone_countries` text,PRIMARY KEY  (`zone_id`)) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SHIPPING_ZONE', 'Versandzonen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SHIPPING_ZONE', 'Shipping zones', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ZONE_NAME', 'Zone', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ZONE_NAME', 'Zone', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ZONE_COUNTRIES', 'L&auml;nder (ISO Code 2 mit , getrennt)', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ZONE_COUNTRIES', 'Countries (ISO Code 2, seperated with ,)', 'admin', '');

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES('shipping_zone', 'images/icons/package_link.png', '&pg=overview', 'adminHandler.php', 10, 'localizing', 'I', 'W', NULL, NULL, NULL);

ALTER TABLE `##_shipping` ADD `use_shipping_zone` TINYINT( 1 ) NOT NULL DEFAULT '0';

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_USE_SHIPPING_ZONE', 'Versandzonen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_USE_SHIPPING_ZONE', 'Shippingzones', 'admin', '');

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SEO_PRODUCTS_CATEGORIES', 'true', 21, 20, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_SEO_PRODUCTS_CATEGORIES', 'Produkt-URLS mit Kategorien', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_SEO_PRODUCTS_CATEGORIES', 'Product-URLS with categories', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SEARCH_IMAGES', 'Bilder Suche', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SEARCH_IMAGES', 'Search Images', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SORT_UP', 'Aufw&auml;rts', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SORT_UP', 'Up', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SORT_DOWN', 'Abw&auml;rts', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SORT_DOWN', 'Down', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_MORE_CATEGORIES', 'weitere Kategorien', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_MORE_CATEGORIES', 'more Categories', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ASK_DELETE_MEDIA_CATEGORY', 'Kategorie l&ouml;schen ?', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ASK_DELETE_MEDIA_CATEGORY', 'Delete Category ?', 'admin', '');

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_IMG_SHRINK_ONLY', 'false', 23, 10, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_IMG_SHRINK_ONLY', 'Thumbnails nicht vergr&ouml;ßern', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_IMG_SHRINK_ONLY', 'Thumbnails, shrink only', 'admin', '');

ALTER TABLE `##_feed` ADD `feed_p_slave` INT( 1 ) NOT NULL DEFAULT '1';
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_IMPORT_ASK', 'Datein aus Media Ordner importieren ? <br />!! Dieser Vorgang kann mehrere Minuten dauern !! <br />Bitte nicht unterbrechen und Erfolgs oder Misserfolgsmeldung abwarten !', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_IMPORT_ASK', 'Import Files from Media Folder ?', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_SLAVE', 'Slaves exportieren?', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_SLAVE', 'Export slave products?', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PRODUCTS_TYPE', 'Typ', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PRODUCTS_TYPE', 'Type', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_GROUP_PERMISSION_INFO', 'Hinweis', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_GROUP_PERMISSION_INFO', 'Note', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SHOP_PERMISSION_INFO', 'Hinweis', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SHOP_PERMISSION_INFO', 'Note', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_BLACKLIST_PERMISSIONS_INFO', 'Ihr Rechte-System ist eingestellt auf "Blacklist"\n\nWenn Sie eine Berechtigung ausw&auml;hlen wird dieser Datensatz f&uuml;r die Gruppe deaktiviert!', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_BLACKLIST_PERMISSIONS_INFO', 'Your permission-settings are set to "blacklist"\n\nBy selecting one option this dataset will be deactivated for selected group', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_WHITELIST_PERMISSIONS_INFO', 'Ihr Rechte-System ist eingestellt auf "Whitelist"\n\nWenn Sie eine Berechtigung ausw&auml;hlen wird dieser Datensatz f&uuml;r die Gruppe aktiviert!', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_WHITELIST_PERMISSIONS_INFO', 'Your permission-settings are set to "whitelist"\n\nBy selecting one option this dataset will be activated for selected group', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PRODUCTS_TAX_CLASS', 'Steuerklasse', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PRODUCTS_TAX_CLASS', 'Tax Class', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ALLOW_TAX', 'incl USt.', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ALLOW_TAX', 'incl Vat.', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PRODUCTS_SHIPPING_TIME', 'Lieferzeit', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PRODUCTS_SHIPPING_TIME', 'Shippingtime', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_UPLOAD_SUBMIT', 'Datei hochladen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_UPLOAD_SUBMIT', 'Upload File', 'admin', '');

INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES ('LogHandler', 'images/icons/script_code.png', '&pg=overview', 'adminHandler.php', NULL, 'logs', 'I', 'W', NULL, NULL, NULL);

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LOGHANDLER', 'System-Log', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LOGHANDLER', 'System-Log', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_LOG_ID', 'Log ID', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_LOG_ID', 'Log ID', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_IDENTIFICATION', 'ID', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_IDENTIFICATION', 'ID', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_YEARS', 'Jahre', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_YEARS', 'Years', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_PRODUCT_COPY_PREFIX', 'Markierung einer Kopie (Artikel)', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_PRODUCT_COPY_PREFIX', 'Mark for Copy (Products)', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_XT_PAYMENT_RESTRICTION', 'Zahlungbeschr&auml;nkungen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_XT_PAYMENT_RESTRICTION', 'Payment Restrictions', 'admin', '');