INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EMAIL_SENT', 'Bestellbestätigungsmail wurde gesendet', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EMAIL_SENT', 'Order confirmation mail has been sent', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_SEND_ORDER_MAIL', 'Bestellbestätigungsmail senden', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_SEND_ORDER_MAIL', 'Order confirmation email', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_META_DOCTYPE_HTML', 'HTML Version', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_META_DOCTYPE_HTML', 'HTML Version', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_CAPTCHA', 'Captcha', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_CAPTCHA', 'Captcha', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PASSWORD_RESET_WITHOUT_CAPTCHA', 'Bitte geben Sie die E-Mail-Adresse ein, unter der Sie Ihr Konto in unserem Shop angelegt haben.<br /><br /> Klicken Sie danach auf &quot;Weiter&quot; und wir senden Ihnen eine E-Mail mit einem Bestätigungs-Link!', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PASSWORD_RESET_WITHOUT_CAPTCHA', 'please insert the email address, which was used to setup your account.<br /><br /> click on  &quot;next&quot; and we will send an confirmation link by mail!', 'store', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_FAVICON', 'Shop-Favicon', 'admin', 'favicon.ico');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_FAVICON', 'Shop-Favicon', 'admin', 'favicon.ico');
-- 5108
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_VAT_CHECK_SIMPLE', 'Einfach', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_VAT_CHECK_SIMPLE', 'Simple', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_VAT_CHECK_COMPLEX', 'Komplex', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_VAT_CHECK_COMPLEX', 'Complex', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_VAT_CHECK_LIVE', 'Live', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_VAT_CHECK_LIVE', 'Live', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_VAT_CHECK_TYPE', 'Check typ', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_VAT_CHECK_TYPE', 'Check type', 'admin', '');

UPDATE `##_language_content` SET `language_value` = 'Payment Information' WHERE `language_key`='TEXT_PAYMENT_INFOS' AND `language_code`='en';

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_MAIL_DEBUG', 'true', 19, 4, NULL, '0000-00-00 00:00:00', 'dropdown', 'conf_truefalse');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_MAIL_DEBUG', 'E-Mail Debug', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_MAIL_DEBUG', 'e-mail debug', 'admin', NULL);

INSERT INTO `##_media_file_types` VALUES (7, 'jpeg', 'files');
INSERT INTO `##_media_file_types` VALUES (8, 'exe', 'files');
INSERT INTO `##_media_file_types` VALUES (9, 'gz', 'files');
INSERT INTO `##_media_file_types` VALUES (10, 'xls', 'files');
INSERT INTO `##_media_file_types` VALUES (11, 'rar', 'files');
INSERT INTO `##_media_file_types` VALUES (12, 'mp3', 'files');
INSERT INTO `##_media_file_types` VALUES (13, 'dmg', 'files');
INSERT INTO `##_media_file_types` VALUES (14, 'mp4', 'files');
INSERT INTO `##_media_file_types` VALUES (15, 'ogg', 'files');
INSERT INTO `##_media_file_types` VALUES (16, '3gp', 'files');
INSERT INTO `##_media_file_types` VALUES (17, 'aac', 'files');

CREATE TABLE IF NOT EXISTS `##_federal_states` (
  `states_id` int(11) NOT NULL AUTO_INCREMENT,
  `states_code` varchar(5) NOT NULL,
  `country_iso_code_2` varchar(2) NOT NULL,
  `status` tinyint(1) NOT NULL,
  PRIMARY KEY (`states_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
		
CREATE TABLE IF NOT EXISTS `##_federal_states_description` (
  `states_id` int(11) NOT NULL,
  `language_code` varchar(2) NOT NULL,
  `state_name` varchar(64) NOT NULL,
  PRIMARY KEY (`states_id`,`language_code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) VALUES (1, 'AL', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) VALUES (2, 'AK', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (3, 'AS', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (4, 'AZ', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (5, 'AR', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (6, 'CA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (7, 'CO', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (8, 'CT', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (9, 'DE', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (10, 'DC', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (11, 'FM', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (12, 'FL', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (13, 'GA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (14, 'GU', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (15, 'HI', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (16, 'ID', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (17, 'IL', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (18, 'IN', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (19, 'IA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (20, 'KS', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (21, 'KY', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (22, 'LA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (23, 'ME', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (24, 'MH', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (25, 'MD', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (26, 'MA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (27, 'MI', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (28, 'MN', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (29, 'MS', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (30, 'MO', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (31, 'MT', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (32, 'NE', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (33, 'NV', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (34, 'NH', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (35, 'NJ', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (36, 'NM', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (37, 'NY', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (38, 'NC', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (39, 'ND', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (40, 'MP', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (41, 'OH', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (42, 'OK', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (43, 'OR', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (44, 'PW', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (45, 'PA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (46, 'PR', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (47, 'RI', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (48, 'SC', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (49, 'SD', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (50, 'TN', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (51, 'TX', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (52, 'UT', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (53, 'VT', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (54, 'VI', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (55, 'VA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (56, 'WA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (57, 'WV', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (58, 'WI', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (59, 'WY', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (60, 'AA', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (61, 'AE', 'US', 1);
INSERT INTO `##_federal_states` (`states_id`, `states_code`, `country_iso_code_2`, `status`) values (62, 'AP', 'US', 1);

INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (1, 'en', 'Alabama');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (2, 'en', 'Alaska');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (3, 'en', 'American Samoa');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (4, 'en', 'Arizona');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (5, 'en', 'Arkansas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (6, 'en', 'California');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (7, 'en', 'Colorado');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (8, 'en', 'Connecticut');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (9, 'en', 'Delaware');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (10, 'en', 'District of Columbia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (11, 'en', 'Federated States of Micronesia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (12, 'en', 'Florida');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (13, 'en', 'Georgia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (14, 'en', 'Guam');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (15, 'en', 'Hawaii');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (16, 'en', 'Idaho');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (17, 'en', 'Illinois');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (18, 'en', 'Indiana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (19, 'en', 'Iowa');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (20, 'en', 'Kansas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (21, 'en', 'Kentucky');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (22, 'en', 'Louisiana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (23, 'en', 'Maine');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (24, 'en', 'Marshall Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (25, 'en', 'Maryland');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (26, 'en', 'Massachusetts');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (27, 'en', 'Michigan');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (28, 'en', 'Minnesota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (29, 'en', 'Mississippi');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (30, 'en', 'Missouri');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (31, 'en', 'Montana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (32, 'en', 'Nebraska');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (33, 'en', 'Nevada');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (34, 'en', 'New Hampshire');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (35, 'en', 'New Jersey');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (36, 'en', 'New Mexico');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (37, 'en', 'New York');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (38, 'en', 'North Carolina');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (39, 'en', 'North Dakota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (40, 'en', 'Northern Mariana Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (41, 'en', 'Ohio');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (42, 'en', 'Oklahoma');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (43, 'en', 'Oregon');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (44, 'en', 'Palau');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (45, 'en', 'Pennsylvania');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (46, 'en', 'Puerto Rico');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (47, 'en', 'Rhode Island');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (48, 'en', 'South Carolina');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (49, 'en', 'South Dakota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (50, 'en', 'Tennessee');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (51, 'en', 'Texas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (52, 'en', 'Utah');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (53, 'en', 'Vermont');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (54, 'en', 'Virgin Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (55, 'en', 'Virginia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (56, 'en', 'Washington');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (57, 'en', 'West Virginia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (58, 'en', 'Wisconsin');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (59, 'en', 'Wyoming');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (60, 'en', 'Armed Forces Americas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (61, 'en', 'Armed Forces');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (62, 'en', 'Armed Forces Pacific');

INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (1, 'de', 'Alabama');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (2, 'de', 'Alaska');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (3, 'de', 'American Samoa');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (4, 'de', 'Arizona');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (5, 'de', 'Arkansas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (6, 'de', 'California');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (7, 'de', 'Colorado');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (8, 'de', 'Connecticut');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (9, 'de', 'Delaware');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (10, 'de', 'District of Columbia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (11, 'de', 'Federated States of Micronesia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (12, 'de', 'Florida');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (13, 'de', 'Georgia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (14, 'de', 'Guam');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (15, 'de', 'Hawaii');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (16, 'de', 'Idaho');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (17, 'de', 'Illinois');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (18, 'de', 'Indiana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (19, 'de', 'Iowa');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (20, 'de', 'Kansas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (21, 'de', 'Kentucky');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (22, 'de', 'Louisiana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (23, 'de', 'Maine');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (24, 'de', 'Marshall Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (25, 'de', 'Maryland');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (26, 'de', 'Massachusetts');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (27, 'de', 'Michigan');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (28, 'de', 'Minnesota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (29, 'de', 'Mississippi');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (30, 'de', 'Missouri');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (31, 'de', 'Montana');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (32, 'de', 'Nebraska');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (33, 'de', 'Nevada');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (34, 'de', 'New Hampshire');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (35, 'de', 'New Jersey');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (36, 'de', 'New Mexico');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (37, 'de', 'New York');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (38, 'de', 'North Carolina');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (39, 'de', 'North Dakota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (40, 'de', 'Northern Mariana Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (41, 'de', 'Ohio');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (42, 'de', 'Oklahoma');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (43, 'de', 'Oregon');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (44, 'de', 'Palau');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (45, 'de', 'Pennsylvania');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (46, 'de', 'Puerto Rico');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (47, 'de', 'Rhode Island');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (48, 'de', 'South Carolina');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (49, 'de', 'South Dakota');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (50, 'de', 'Tennessee');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (51, 'de', 'Texas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (52, 'de', 'Utah');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (53, 'de', 'Vermont');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (54, 'de', 'Virgin Islands');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (55, 'de', 'Virginia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (56, 'de', 'Washington');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (57, 'de', 'West Virginia');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (58, 'de', 'Wisconsin');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (59, 'de', 'Wyoming');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (60, 'de', 'Armed Forces Americas');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (61, 'de', 'Armed Forces');
INSERT INTO `##_federal_states_description` (`states_id`, `language_code`, `state_name`) VALUES (62, 'de', 'Armed Forces Pacific');

UPDATE `##_acl_nav` SET type='G' WHERE `text`='countries';
INSERT INTO `##_acl_nav` (`text`, `icon`, `url_i`, `url_d`, `sortorder`, `parent`, `type`, `navtype`, `cls`, `handler`, `iconCls`) VALUES('federal_states', 'images/icons/page_world.png', '&pg=overview', 'adminHandler.php', 7000, 'countries', 'I', 'W', NULL, NULL, NULL);
ALTER TABLE `##_customers_addresses` ADD `customers_federal_state_code` INT( 11 ) NULL AFTER `customers_country_code`;
ALTER TABLE `##_orders` ADD `delivery_federal_state_code` INT( 11 ) NULL , ADD `billing_federal_state_code` INT( 11 ) NULL;
ALTER TABLE `##_orders` ADD `delivery_federal_state_code_iso` VARCHAR( 5 ) NULL , ADD `billing_federal_state_code_iso` VARCHAR( 5 ) NULL;
		            
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEDERAL_STATES', 'Bundesländer', 'both', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEDERAL_STATES', 'Federal States', 'both', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STATES_ID', 'Bundesland id', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STATES_ID', 'Federal state id', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STATES_CODE', 'Bundesland code', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STATES_CODE', 'Federal state code', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STATE_NAME', 'Bundesland Name', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STATE_NAME', 'Federal state name', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_COUNTRY_ISO_CODE_2', 'Land Code', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_COUNTRY_ISO_CODE_2', 'Country Code', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_ACCOUNT_FEDERAL_STATES', 'Bundesländer', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_ACCOUNT_FEDERAL_STATES', 'Federal States', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CUSTOMERS_FEDERAL_STATE_CODE', 'Bundesländer', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CUSTOMERS_FEDERAL_STATE_CODE', 'Federal States', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_ACCOUNT_DOB_FORMAT', 'Datumsformat (d=Tag; y=Jahr)', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_ACCOUNT_DOB_FORMAT', 'Date format', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_DATE_SYNTAX', 'Bitte geben Sie ein gültiges Datum an', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_DATE_SYNTAX', 'please enter a valid date', 'store', '');

ALTER TABLE `##_feed` DROP `feed_browser`, DROP `feed_print_browser`, DROP `feed_manufacturer`;
ALTER TABLE `##_feed` ADD  `feed_key` VARCHAR( 32 ) NOT NULL AFTER  `feed_id`;
ALTER TABLE `##_feed` ADD  `feed_encoding` VARCHAR( 32 ) NOT NULL AFTER  `feed_filetype`;
ALTER TABLE `##_feed` ADD  `feed_export_limit` INT( 11 ) NOT NULL DEFAULT  '100' AFTER  `feed_save` , ADD  `feed_linereturn_deactivated` TINYINT( 4 ) NOT NULL DEFAULT  '0' AFTER  `feed_export_limit`;
ALTER TABLE `##_feed` ADD  `feed_p_price_min` TEXT NULL AFTER  `feed_p_campaign` , ADD  `feed_p_price_max` TEXT NULL AFTER  `feed_p_price_min` , ADD  `feed_p_quantity_min` TEXT NULL AFTER  `feed_p_price_max` , ADD  `feed_p_quantity_max` TEXT NULL AFTER  `feed_p_quantity_min` , ADD  `feed_p_model_min` VARCHAR( 255 ) DEFAULT NULL AFTER  `feed_p_quantity_max` , ADD  `feed_p_model_max` VARCHAR( 255 ) DEFAULT NULL AFTER  `feed_p_model_min` , ADD  `feed_p_deactivated_status` TINYINT( 4 ) NOT NULL DEFAULT '0' AFTER  `feed_p_model_max` , ADD  `feed_categories` TEXT NOT NULL AFTER  `feed_p_deactivated_status` , ADD  `feed_manufacturers` TEXT NOT NULL AFTER  `feed_categories`;

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_EXPORT_LIMIT', 'Datens&auml;tze pro Durchgang', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_LINERETURN_DEACTIVATED', 'Zeilenumbruch im Body deaktivieren', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_ENCODING', 'Zeichensatz', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TO_CATEGORIES', 'Kategoriezuweisung', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TO_MANUFACTURERS', 'Herstellerzuweisung', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_KEY', 'Export ID', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_PRICE_MIN', 'Mindest-Produktpreis', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_PRICE_MAX', 'Höchst-Produktpreis', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_QUANTITY_MIN', 'Mindestmenge', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_QUANTITY_MAX', 'Höchstmenge', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_MODEL_MIN', 'Von Artikelnummer', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_MODEL_MAX', 'Bis Artikelnummer', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FEED_P_DEACTIVATED_STATUS', 'Deaktivierte Produkte Exportieren?', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_EXPORT_LIMIT', 'Records per pass', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_LINERETURN_DEACTIVATED', 'Disable word wrap in the Body', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_ENCODING', 'character Set', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TO_CATEGORIES', 'category assignment', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TO_MANUFACTURERS', 'Manufacturers assignment', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_KEY', 'Export ID', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_PRICE_MIN', 'Minimum product price', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_PRICE_MAX', 'High product prices', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_QUANTITY_MIN', 'Minimum amount', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_QUANTITY_MAX', 'Maximum amount', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_MODEL_MIN', 'By Model', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_MODEL_MAX', 'By Model', 'admin', NULL);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FEED_P_DEACTIVATED_STATUS', 'Disabled Products Export?', 'admin', NULL);

DELETE FROM ##_config_1 WHERE config_key = '_STORE_VAT_CHECK_STATUS';
DELETE FROM ##_config_1 WHERE config_key = '_STORE_VAT_CHECK_LIVE';
DELETE FROM ##_config_1 WHERE config_key = '_STORE_VAT_CHECK_BLOCK';
INSERT INTO ##_config_1 (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_VAT_CHECK_TYPE', '', 6, 3, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'dropdown', 'vat_check');

INSERT INTO `##_config_group` VALUES (18, 'TEXT_TEMPLATES_NAV', 'application_view_gallery.png', 1, 1);
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_TEMPLATES_NAV', 'Template', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_TEMPLATES_NAV', 'Template', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_XT_TEMPLATES', 'xt:Commerce Templates', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_XT_TEMPLATES', 'xt:Commerce Templates', 'admin', '');

UPDATE `##_config` SET group_id = 15 WHERE `config_key` LIKE '_SYSTEM_TEMPLATE';

INSERT INTO `##_config_group` VALUES (15, 'TEXT_CONF_TEMPLATES_NAV', 'application_view_gallery.png', 1, 2);

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CONF_TEMPLATES_NAV', 'Template', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CONF_TEMPLATES_NAV', 'Template', 'admin', '');

INSERT INTO `##_config` (`config_key`, `config_value`, `group_id`, `sort_order`, `last_modified`, `date_added`, `type`, `url`) VALUES ('_SYSTEM_SRV_WEBROOT_PREFIX', '', 23, 15, NULL, '0000-00-00 00:00:00', '', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_SYSTEM_SRV_WEBROOT_PREFIX', 'Download Pfadpräfix', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_SYSTEM_SRV_WEBROOT_PREFIX', 'Download Pathprefix', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CE_VERSION_NOTICE', 'xt:Commerce Community Edition 4 (CE).', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CE_VERSION_NOTICE', 'xt:Commerce Community Edition 4 (CE).', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_CE_VERSION_NOTICE_MORE', 'mehr info', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_CE_VERSION_NOTICE_MORE', 'more info', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_DEFAULT_ADDRESS', 'Sie müssen mindestens eine Standardadresse haben. ', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_DEFAULT_ADDRESS', 'You must have at least one default address', 'store', '');

UPDATE `##_language_content` SET `language_value` = 'en/Conditions-of-Use' WHERE `language_value` = 'en/General Terms and Conditions';
UPDATE `##_language_content` SET `language_value` = 'en/Impressum' WHERE `language_value` = 'en/Empress';
UPDATE `##_language_content` SET `language_value` = 'en/Right-of-Rescission' WHERE `language_value` = 'en/right of rescission';

UPDATE `##_language_content` SET `language_value` = 'Bitte geben Sie eine gültige E-Mail Adresse an' WHERE `language_code` = 'de' AND `language_key` = 'ERROR_EMAIL_ADDRESS_SYNTAX';

ALTER TABLE `##_media` MODIFY `download_status` enum('free','order') NOT NULL default 'free';

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_BILLING_PHONE', 'Rechnungstelefon', 'both', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_BILLING_PHONE', 'Billing Phone', 'both', '');

-- 4681
UPDATE `##_mail_templates` SET `tpl_special` = 'ALL' WHERE `tpl_id` = '8';
-- 4809
ALTER TABLE `##_manufacturers` MODIFY `manufacturers_sort` INT (4) NOT NULL default '0';
-- 5027
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_GRADUATED_SAVING', 'Ersparnis', 'store', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_GRADUATED_SAVING', 'Saving', 'store', '');
-- 5060
DELETE FROM `##_countries` WHERE `countries_iso_code_2` = 'YU';
DELETE FROM `##_countries_description` WHERE `countries_iso_code_2` = 'YU';
-- 5063
UPDATE `##_language_content` SET `language_value` = 'Class' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_CLASS';
UPDATE `##_language_content` SET `language_value` = 'This textfiles are for the shop area' WHERE `language_code` = 'en' AND `language_key` = 'DESC_LANGUAGE_STORE_DESC';
UPDATE `##_language_content` SET `language_value` = 'Titel' WHERE `language_code` = 'de' AND `language_key` = 'TEXT_FEED_TITLE';
UPDATE `##_language_content` SET `language_value` = 'Title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_FEED_TITLE';
UPDATE `##_language_content` SET `language_value` = 'configuration' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_CONFIGURATION';
UPDATE `##_language_content` SET `language_value` = 'title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_TITLE';
UPDATE `##_language_content` SET `language_value` = 'review title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_REVIEW_TITLE';
UPDATE `##_language_content` SET `language_value` = 'content title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_CONTENT_TITLE';
UPDATE `##_language_content` SET `language_value` = 'meta title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_CONTENT_META_TITLE';
UPDATE `##_language_content` SET `language_value` = 'meta title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_CATEGORIES_META_TITLE';
UPDATE `##_language_content` SET `language_value` = 'meta title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_PRODUCTS_META_TITLE';
UPDATE `##_language_content` SET `language_value` = 'meta title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_META_TITLE';
UPDATE `##_language_content` SET `language_value` = 'store title' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_SHOP_TITLE';
UPDATE `##_language_content` SET `language_value` = 'default order status' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_STORE_DEFAULT';
-- 5108
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_INSTALLATION_FAIL_LICENSE', 'Fehler: Lizenzdatei fehlt', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_INSTALLATION_FAIL_LICENSE', 'Error: Licensefile is missing', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'ERROR_MISSING_PLG_LIC_FILE', 'Dieses Plugin ist kostenpflichtig und benötigt eine Lizenzdatei', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'ERROR_MISSING_PLG_LIC_FILE', 'This plugin requires a purchased license', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PLG_BUY_LIC', 'Lizenz kaufen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PLG_BUY_LIC', 'Buy license', 'admin', '');
-- 5117
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TPLS_IMPORT', 'Vorlage importieren', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TPLS_IMPORT', 'Import template', 'admin', '');

INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_EXPORT_TPLS', 'Vorlagen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_EXPORT_TPLS', 'Templates', 'admin', '');
-- 5137 - changes don't include in the current 4.0.15 version ?
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FROM', 'von', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FROM', 'from', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_TO', 'bis', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_TO', 'to', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_INCLUDES', 'enthaltet', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_INCLUDES', 'includes', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ADVANCED_FILTER', 'Advanced Filter', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ADVANCED_FILTER', 'Erweiterte Filter', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FILTER', 'Filter', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FILTER', 'Filter', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_FIND', 'Suchen', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_FIND', 'Find', 'admin', '');
-- 5151
UPDATE `##_language_content` SET `language_value` = 'payment fee' WHERE `language_code` = 'en' AND `language_key` = 'TEXT_PAYMENT_PRICE';
-- 5187
UPDATE `##_language_content` SET `language_value` = 'Kaufen' WHERE `language_code` = 'de' AND `language_key` = 'BUTTON_CONFIRM_ORDER';
-- 5213
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'Freie Downloads ohne Login', 'admin', '');
INSERT INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'Free downloads without login', 'admin', '');
-- 5272
UPDATE `##_seo_url` SET `url_text` = 'en/Conditions-of-Use' WHERE `language_code` = 'en' AND `link_id` = '3';
UPDATE `##_seo_url` SET `url_text` = 'en/Impressum' WHERE `language_code` = 'en' AND `link_id` = '4';
UPDATE `##_seo_url` SET `url_text` = 'en/Right-of-Rescission', `url_md5` = '52c2825c0060dfb667224c51a73af1db' WHERE `language_code` = 'en' AND `link_id` = '7';
-- 5306
UPDATE `##_language_content` SET `language_value` = 'Bitte geben Sie eine gültige E-Mail Adresse an' WHERE `language_code` = 'de' AND `language_key` = 'ERROR_EMAIL_ADDRESS_SYNTAX';
-- 5360
UPDATE `##_language_content` SET `language_value` = 'Buy' WHERE `language_code` = 'en' AND `language_key` = 'BUTTON_CONFIRM_ORDER';
UPDATE `##_language_content` SET `language_value` = 'Kaufen' WHERE `language_code` = 'de' AND `language_key` = 'BUTTON_CONFIRM_ORDER_PAY';
UPDATE `##_language_content` SET `language_value` = 'Buy and continue to checkout' WHERE `language_code` = 'en' AND `language_key` = 'BUTTON_CONFIRM_ORDER_PAY';
-- 5363
ALTER TABLE `##_payment` ADD `payment_cost_info` INT(1) default '0' AFTER `payment_tpl`;
-- 5363 ; 5187 and 5360 updates can be erased
UPDATE `##_language_content` SET `language_value` = 'zahlungspflichtig bestellen' WHERE `language_code` = 'de' AND `language_key` = 'BUTTON_CONFIRM_ORDER';
UPDATE `##_language_content` SET `language_value` = 'Confirm purchase' WHERE `language_code` = 'en' AND `language_key` = 'BUTTON_CONFIRM_ORDER';
UPDATE `##_language_content` SET `language_value` = 'zahlungspflichtig bestellen' WHERE `language_code` = 'de' AND `language_key` = 'BUTTON_CONFIRM_ORDER_PAY';
UPDATE `##_language_content` SET `language_value` = 'Confirm purchase' WHERE `language_code` = 'en' AND `language_key` = 'BUTTON_CONFIRM_ORDER_PAY';
-- 5370
UPDATE `##_language_content` SET `class` = 'both' WHERE `language_key` = 'TEXT_PHONE';

INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_PAYMENT_COST_INFO', 'Kostenhinweis anzeigen', 'admin', '');
INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_PAYMENT_COST_INFO', 'Show cost info', 'admin', '');

INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_CONFIRM_ORDER_PAY', 'zahlungspflichtig bestellen', 'store', '');
INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_CONFIRM_ORDER_PAY', 'Confirm purchase', 'store', '');

INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'BUTTON_CONFIRM_ORDER', 'zahlungspflichtig bestellen', 'store', '');
INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'BUTTON_CONFIRM_ORDER', 'Confirm purchase', 'store', '');

INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('de', 'TEXT_ORDER_CONFIRMATION_BUTTON_LAW', 'Zusätzlich fallen noch Kosten oder Steuern an, die nicht von uns abgeführt bzw. von uns in Rechnung gestellt werden.', 'store', '');
INSERT IGNORE INTO `##_language_content` (`language_code`, `language_key`, `language_value`, `class`, `plugin_key`) VALUES ('en', 'TEXT_ORDER_CONFIRMATION_BUTTON_LAW', 'Additionally incurred costs or taxes that are not paid by us or by us will be charged.', 'store', '');
