<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: 4.0.11-to-4.0.12-update.php 4794 2011-07-29 11:40:49Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.11 auf 4.0.12";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.11-4.0.12.sql',DB_PREFIX);

$queries = array();

// hooks im customersdiscount plugin killen
$query = "SELECT plugin_id, code FROM " . TABLE_PLUGIN_PRODUCTS . " where code='xt_customersdiscount'";
$rs = $db->Execute($query);
if ($rs->RecordCount()==1) {
    
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='class.cart.php:_getContent_data' and plugin_code='xt_customersdiscount'");
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='class.cart.php:_refresh_content' and plugin_code='xt_customersdiscount'");
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='class.cart.php:_getContent_price' and plugin_code='xt_customersdiscount'");
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='class.cart.php:_getContent_bottom' and plugin_code='xt_customersdiscount'");
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='module_checkout.php:checkout_data' and plugin_code='xt_customersdiscount'");
    $db->Execute("DELETE FROM ".TABLE_PLUGIN_CODE." WHERE hook='class.cart.php:_getContent_top' and plugin_code='xt_customersdiscount'");

}
$rs->Close();

//Delete
$db->Execute("DELETE FROM ".TABLE_ADMIN_NAVIGATION." WHERE text ='MediaFileManager'");
$db->Execute("DELETE FROM ".TABLE_ADMIN_NAVIGATION." WHERE text ='MediaImageManager'");
$db->Execute("DELETE FROM ".TABLE_LANGUAGE_CONTENT." WHERE language_key ='TEXT_MEDIA_MANAGER'");

// New
$db->Execute("INSERT INTO ".TABLE_LANGUAGE_CONTENT." (language_code, language_key, language_value, class, plugin_key) VALUES ('de', 'TEXT_MEDIA_MANAGER', 'Media', 'admin', NULL)");
$db->Execute("INSERT INTO ".TABLE_LANGUAGE_CONTENT." (language_code, language_key, language_value, class, plugin_key) VALUES ('en', 'TEXT_MEDIA_MANAGER', 'media', 'admin', NULL)");
$db->Execute("INSERT INTO ".TABLE_ADMIN_NAVIGATION." (text, icon, url_i, url_d, sortorder, parent, type, navtype, cls, handler, iconCls) VALUES ('MediaGallery', '', '', '', NULL, 'media_manager', 'G', 'W', NULL, NULL, NULL)");

$db->Execute("DELETE FROM ".TABLE_CONFIGURATION." WHERE config_key ='_SYSTEM_IMAGE_CHOOSER'");
$db->Execute("DELETE FROM ".TABLE_CONFIGURATION." WHERE config_key ='_SYSTEM_MORE_PRODUCT_IMAGES'");
$db->Execute("DELETE FROM ".TABLE_CONFIGURATION." WHERE config_key ='_SYSTEM_UPLOAD_TYPE'");

//CHANGES FOR MEDIAMANAGER
$db->Execute("DELETE FROM ".TABLE_MEDIA_GALLERY."");
$db->Execute("DELETE FROM ".TABLE_MEDIA_GALLERY_DESCRIPTION."");
$db->Execute("DELETE FROM ".TABLE_MEDIA_TO_MEDIA_GALLERY."");

$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(1, 0, 1, 'default', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(2, 0, 2, 'product', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(3, 0, 3, 'category', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(4, 0, 4, 'manufacturer', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(5, 0, 5, 'content', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(6, 0, 99998, 'files_free', 1, 1)");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY." (mg_id, parent_id, sort_order, class, status, u_id) VALUES(7, 0, 99999, 'files_order', 1, 1)");

$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (1, 'de', 'Standard Bilder')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (2, 'de', 'Artikelbilder')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (3, 'de', 'Kategoriebilder')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (4, 'de', 'Herstellerbilder')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (5, 'de', 'Contentbilder')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (6, 'de', 'freie Downloads')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (7, 'de', 'kostenpfl. Downloads')");

$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (1, 'en', 'Default Images')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (2, 'en', 'Product Images')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (3, 'en', 'Category Images')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (4, 'en', 'Manufacturers Images')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (5, 'en', 'Content Images')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (6, 'en', 'Free Downloads')");
$db->Execute("INSERT INTO ".TABLE_MEDIA_GALLERY_DESCRIPTION." VALUES (7, 'en', 'Payed Downloads')");

// Product Images to Media Gallery
$query = "SELECT * FROM ".TABLE_MEDIA." where type='images' and class='product'";
$rs = $db->Execute($query);
while (!$rs->EOF) {
		
	$db->Execute("INSERT INTO ".TABLE_MEDIA_TO_MEDIA_GALLERY." (ml_id, m_id, mg_id) VALUES ('', ".$rs->fields['id'].", '2')");	

	$rs->MoveNext();
}$rs->Close();

// Category Images to Media Gallery
$query = "SELECT * FROM ".TABLE_MEDIA." where type='images' and class='category'";
$rs = $db->Execute($query);
while (!$rs->EOF) {
		
	$db->Execute("INSERT INTO ".TABLE_MEDIA_TO_MEDIA_GALLERY." (ml_id, m_id, mg_id) VALUES ('', ".$rs->fields['id'].", '3')");	

	$rs->MoveNext();
}$rs->Close();

// Manufacturer Images to Media Gallery
$query = "SELECT * FROM ".TABLE_MEDIA." where type='images' and class='manufacturer'";
$rs = $db->Execute($query);
while (!$rs->EOF) {
		
	$db->Execute("INSERT INTO ".TABLE_MEDIA_TO_MEDIA_GALLERY." (ml_id, m_id, mg_id) VALUES ('', ".$rs->fields['id'].", '4')");	

	$rs->MoveNext();
}$rs->Close();

// Free Downloads to Media Gallery
$query = "SELECT * FROM ".TABLE_MEDIA." where type='files' and download_status='free'";
$rs = $db->Execute($query);
while (!$rs->EOF) {
		
	$db->Execute("INSERT INTO ".TABLE_MEDIA_TO_MEDIA_GALLERY." (ml_id, m_id, mg_id) VALUES ('', ".$rs->fields['id'].", '6')");	

	$rs->MoveNext();
}$rs->Close();

// Payed Downloads to Media Gallery
$query = "SELECT * FROM ".TABLE_MEDIA." where type='files' and download_status='order'";
$rs = $db->Execute($query);
while (!$rs->EOF) {
		
	$db->Execute("INSERT INTO ".TABLE_MEDIA_TO_MEDIA_GALLERY." (ml_id, m_id, mg_id) VALUES ('', ".$rs->fields['id'].", '7')");	

	$rs->MoveNext();
}$rs->Close();

$queries[] = "UPDATE ##_config SET config_value = '4.0.12' WHERE config_key ='_SYSTEM_VERSION';";

foreach ($queries as $key => $val) {
    try {
        $val = str_replace('##_',DB_PREFIX.'_',$val);
        $db->Execute($val);
    } catch (exception $e) {
        $errors[]=array('message'=>$e->msg);
    }
}


if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>