<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: 4.0.12-to-4.0.13-update.php 4794 2011-07-29 11:40:49Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.12 auf 4.0.13";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.12-4.0.13.sql',DB_PREFIX);

$db->Execute("DELETE FROM ".TABLE_CONFIGURATION." WHERE config_key ='_SYSTEM_SQLLOG'"); 
$db->Execute("DELETE FROM ".TABLE_LANGUAGE_CONTENT." WHERE language_key ='TEXT_PAYMENT_EMAIL_DESC'"); 
$db->Execute("ALTER TABLE ".TABLE_PAYMENT_DESCRIPTION." DROP payment_email_desc");

$db->Execute("CREATE TABLE IF NOT EXISTS  `".DB_PREFIX."_plugin_history` (`id` int(11) NOT NULL AUTO_INCREMENT,`plugin_code` varchar(255) NOT NULL,`old_version` varchar(32) NOT NULL,`current_version` varchar(32) DEFAULT NULL,`xml` text,`date_added` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,PRIMARY KEY (`id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;");

// update order status values
$rs=$db->Execute("SELECT * FROM ".TABLE_SYSTEM_STATUS." WHERE status_class='order_status'");
while (!$rs->EOF) {
 
   $str = $rs->fields['status_values'];
   $arr = unserialize($str);

   if (!isset($arr['data']['reduce_stock'])) {
      $arr['data']['calculate_statistic']=1;
   }
   
   if (!isset($arr['data']['calculate_statistic'])) {
      $arr['data']['reduce_stock']=0;
   }
   $str = serialize($arr);
   $db->Execute("UPDATE ".TABLE_SYSTEM_STATUS." SET status_values='".$str."' WHERE status_id='".$rs->fields['status_id']."'"); 
   $rs->MoveNext();   
}

 
$queries = array();
$queries[] = "UPDATE ##_config SET config_value = '4.0.13' WHERE config_key ='_SYSTEM_VERSION';";


foreach ($queries as $key => $val) {
    try {
        $val = str_replace('##_',DB_PREFIX.'_',$val);
        $db->Execute($val);
    } catch (exception $e) {
        $errors[]=array('message'=>$e->msg);
    }
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>