<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.13 auf 4.0.14";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.13-4.0.14.sql',DB_PREFIX);

//Mandanten
$shop_ids = array();
$query = "SELECT shop_id FROM " . TABLE_MANDANT_CONFIG . "";
$rs = $db->Execute($query);
while (!$rs->EOF) {
	$shop_ids[] = $rs->fields['shop_id'];
	$rs->MoveNext();
}

$queries = array();

// update order status values
$rs=$db->Execute("SELECT * FROM ".TABLE_SYSTEM_STATUS." WHERE status_class='order_status'");
while (!$rs->EOF) {
 
   $str = $rs->fields['status_values'];
   $arr = unserialize($str);

   if (!isset($arr['data']['reduce_stock'])) {
      $arr['data']['calculate_statistic']=1;
   }
   
   if (!isset($arr['data']['calculate_statistic'])) {
      $arr['data']['reduce_stock']=0;
   }
   $str = serialize($arr);
   $queries[] = "UPDATE ".TABLE_SYSTEM_STATUS." SET status_values='".$str."' WHERE status_id='".$rs->fields['status_id']."'"; 
   $rs->MoveNext();   
}

//update Master/slave Plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_master_slave'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0){
                foreach ($shop_ids as $shop_id) {
                    $queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (config_key, config_value, plugin_id, type, url, group_id, shop_id) VALUES ('XT_MASTER_SLAVE_CONF_SHOW_RESET', 'true', ".$plg_id.", 'dropdown', 'conf_truefalse', 0, '" . $shop_id . "')";	
                    $queries[] = "INSERT INTO ".TABLE_PLUGIN_CONFIGURATION." (config_key, config_value, plugin_id, type, url, group_id, shop_id) VALUES ('XT_MASTER_SLAVE_CONF_SHOW_LINK', 'false', ".$plg_id.", 'dropdown', 'conf_truefalse', 0, '" . $shop_id . "')";
                }
                    
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'de', 'XT_MASTER_SLAVE_TEXT_RESET_OPTIONS', 'Auswahl aufheben', 'store', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'en', 'XT_MASTER_SLAVE_TEXT_RESET_OPTIONS', 'Cancel selection', 'store', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'de', 'XT_MASTER_SLAVE_CONF_SHOW_RESET_TITLE', 'Zeige Aufheben-Knopf', 'admin', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'en', 'XT_MASTER_SLAVE_CONF_SHOW_RESET_TITLE', 'Show Cancel button', 'admin', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'de', 'XT_MASTER_SLAVE_TEXT_LINK_TO_MASTER', 'Zurück zum Masterartikel', 'store', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'en', 'XT_MASTER_SLAVE_TEXT_LINK_TO_MASTER', 'Back to master article', 'store', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'de', 'XT_MASTER_SLAVE_CONF_SHOW_LINK_TITLE', 'Zeige Link zum Master', 'admin', 'xt_master_slave')";
		$queries[] = "INSERT INTO ".TABLE_LANGUAGE_CONTENT." (translated, language_code, language_key, language_value, class, plugin_key) VALUES(1, 'en', 'XT_MASTER_SLAVE_CONF_SHOW_LINK_TITLE', 'Show link to master', 'admin', 'xt_master_slave')";	
		
		//update version
		$queries[] = "UPDATE ".TABLE_PLUGIN_PRODUCTS." SET version='1.0.1' WHERE plugin_id=".$plg_id;
	}		
}

//Update Paypal Plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_paypal'");
if ($rs->RecordCount()==1) {

	$plg_id = (int)$rs->fields['plugin_id'];
	if($plg_id > 0){

		$queries[] = "UPDATE ".TABLE_CONFIGURATION_PAYMENT." SET config_value='live', url = 'status_sandbox' WHERE config_key='XT_PAYPAL_MODE'";
		
		//update version
		$queries[] = "UPDATE ".TABLE_PLUGIN_PRODUCTS." SET version='1.2.5' WHERE plugin_id=".$plg_id;
	}
}

//Update Terms & Condition Check-Box for Multishops
foreach( $shop_ids as $k => $shop_id ){
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_TERMSCOND_CHECK', 'false', 1, 9, NULL, '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse')";
	$queries[] = "INSERT INTO ".TABLE_CONFIGURATION_MULTI.$shop_id." (config_key, config_value, group_id, sort_order, last_modified, date_added, type, url) VALUES ('_STORE_PRODUCT_DOWNLOAD_PUBLIC_ALLOWED', 'true', 8, 200, NULL, '0000-00-00 00:00:00',  'dropdown', 'conf_truefalse')";
}

$queries[] = "UPDATE ".TABLE_CONFIGURATION." SET config_value = '4.0.14' WHERE config_key ='_SYSTEM_VERSION';";

foreach ($queries as $key => $val) {
    try {
        $val = str_replace('##_',DB_PREFIX.'_',$val);
        $db->Execute($val);
    } catch (exception $e) {
        $errors[]=array('message'=>$e->msg);
    }
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>