<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id$
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.15 auf 4.0.16";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.15-4.0.16.sql',DB_PREFIX);

//Mandanten
$shop_ids = array();
$query = "SELECT shop_id FROM " . TABLE_MANDANT_CONFIG . "";
$rs = $db->Execute($query);
while (!$rs->EOF) {
	$shop_ids[] = $rs->fields['shop_id'];
	$rs->MoveNext();
}

$queries = array();

//Update xt_master_slave plugin
$plg_id = 0;
$rs=$db->Execute("SELECT * FROM ".TABLE_PLUGIN_PRODUCTS." WHERE code='xt_master_slave'");
if ($rs->RecordCount()==1) {
	$plg_id = (int)$rs->fields['plugin_id'];
	
	if($plg_id > 0 ){
		
		$queries[] = "ALTER TABLE ".TABLE_PRODUCTS." ADD products_option_master_price VARCHAR( 3 ) NULL AFTER products_option_list_template";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/store_main.php_bottom.php\';' WHERE hook='store_main.php:bottom' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php_BuildData_bottom.php\';' WHERE hook='class.product.php:BuildData_bottom' AND plugin_code='xt_master_slave'";
        
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/product_info_tpl.php\';' WHERE hook='product_info_tpl' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.getProductSQL_query.php_F_Listing.php\';' WHERE hook='class.getProductSQL_query.php:F_Listing' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php__get_data.php\';' WHERE hook='class.product.php:_get_data' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php__get_bottom.php\';' WHERE hook='class.product.php:_get_bottom' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php__delete_bottom.php\';' WHERE hook='class.product.php:_delete_bottom' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php__set_perm.php\';' WHERE hook='class.product.php:_set_perm' AND plugin_code= 'xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/class.product.php__getParams_row_actions.php\';' WHERE hook='class.product.php:_getParams_row_actions' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/admin_main.php_bottom.php\';' WHERE hook='admin_main.php:bottom' AND plugin_code='xt_master_slave'";
        $queries[] = "UPDATE ".TABLE_PLUGIN_CODE." SET code='include _SRV_WEBROOT . _SRV_WEB_PLUGINS . \'xt_master_slave/hooks/admin_dropdown.php_dropdown.php\';' WHERE hook='admin_dropdown.php:dropdown' AND plugin_code='xt_master_slave'";
		
    }
}

//Update Version of SHOP
$queries[] = "UPDATE ".TABLE_CONFIGURATION." SET config_value = '4.0.16' WHERE config_key ='_SYSTEM_VERSION';";

foreach ($queries as $key => $val) {
    try {
        $val = str_replace('##_',DB_PREFIX.'_',$val);
        $db->Execute($val);
    } catch (exception $e) {
        $errors[]=array('message'=>$e->msg);
    }
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>