<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Shopsoftware
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright 2007-2011 xt:Commerce International Ltd. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~ xt:Commerce VEYTON 4.0 Shopsoftware IS NOT FREE SOFTWARE ~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: 4.0.5-to-4.0.6-update.php 4794 2011-07-29 11:40:49Z mzanier $
 # @copyright xt:Commerce International Ltd., www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce International Ltd., Kafkasou 9, Aglantzia, CY-2112 Nicosia
 #
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.5 auf 4.0.6";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.5-4.0.6.sql',DB_PREFIX);

$queries = array();
$queries[] = "DELETE FROM ##_acl_nav WHERE ##_acl_nav.pid = 38 LIMIT 1;";
$queries[] = "DELETE FROM ##_acl_nav WHERE ##_acl_nav.pid = 39 LIMIT 1;";
$queries[] = "UPDATE ##_language_content SET language_value = 'Mit USt-ID (Inland)' WHERE language_key ='TEXT_STORE_VAT_CHECK_STATUS_IN' and language_code= 'de' LIMIT 1;";
$queries[] = "UPDATE ##_language_content SET language_value = 'with VAT-ID (inland)' WHERE language_key ='TEXT_STORE_VAT_CHECK_STATUS_IN' and language_code= 'en' LIMIT 1;";
$queries[] = "UPDATE ##_config SET config_value = '4.0.6' WHERE config_key ='_SYSTEM_VERSION';";

$queries[] = "ALTER TABLE `xt_acl_area_permissions` CHANGE `area_id` `area_id` INT( 11 ) NULL;";
$queries[] = "ALTER TABLE `xt_acl_area_permissions` CHANGE `read` `acl_read` INT( 11 ) NULL DEFAULT NULL;";
$queries[] = "ALTER TABLE `xt_acl_area_permissions` CHANGE `edit` `acl_edit` INT( 11 ) NULL DEFAULT NULL;";
$queries[] = "ALTER TABLE `xt_acl_area_permissions` CHANGE `new` `acl_new` INT( 11 ) NULL DEFAULT NULL;";
$queries[] = "ALTER TABLE `xt_acl_area_permissions` CHANGE `delete` `acl_delete` INT( 11 ) NULL DEFAULT NULL;";
$queries[] = "ALTER TABLE `xt_acl_area_permissions` DROP PRIMARY KEY ,ADD PRIMARY KEY ( `perm_id` );";


foreach ($queries as $key => $val) {
	try {
		$val = str_replace('##_',DB_PREFIX.'_',$val);
		$db->Execute($val);
	} catch (exception $e) {
		$errors[]=array('message'=>$e->msg);
	}
}

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>
