<?php
/*
 #########################################################################
 #                       xt:Commerce VEYTON 4.0 Enterprise
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # Copyright ©2007-2008 xt:Commerce GmbH. All Rights Reserved.
 # This file may not be redistributed in whole or significant part.
 # Content of this file is Protected By International Copyright Laws.
 #
 # ~~~~~~~~~ xt:Commerce VEYTON 4.0 Enterprise IS NOT FREE SOFTWARE ~~~~~~~~~~~~~~~~
 #
 # http://www.xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # @version $Id: 4.0.7-to-4.0.8-update.php 2338 2008-10-10 13:37:00Z mzanier $
 # @copyright xt:Commerce GmbH, www.xt-commerce.com
 #
 # @author Mario Zanier, xt:Commerce GmbH	mzanier@xt-commerce.com
 #
 # @author Matthias Hinsche					mh@xt-commerce.com
 # @author Matthias Benkwitz				mb@xt-commerce.com
 #
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 #
 # xt:Commerce GmbH, Bachweg 1, A-6091 Goetzens (AUSTRIA)
 # office@xt-commerce.com
 #
 #########################################################################
 */

$step = "Update von 4.0.7 auf 4.0.8";
$sub_tpl->assign('step',$step);

// insert new
$errors = array();
$errors = _installSQL('4.0.7-4.0.8.sql',DB_PREFIX);

$queries = array();
$queries[] = "UPDATE ##_language_content SET language_key = 'TEXT_USER_PASSWORD' WHERE language_key ='TEXT_PASSWD' LIMIT 1;";

$queries[] = "UPDATE ##_config SET config_value = '4.0.8' WHERE config_key ='_SYSTEM_VERSION';";
$queries[] = "ALTER TABLE ##_plugin_code ADD plugin_code VARCHAR( 255 ) NULL AFTER code;";

foreach ($queries as $key => $val) {
	try {
		$val = str_replace('##_',DB_PREFIX.'_',$val);
		$db->Execute($val);
	} catch (exception $e) {
		$errors[]=array('message'=>$e->msg);
	}
}

$query = "SELECT plugin_id, code FROM " . TABLE_PLUGIN_PRODUCTS . "";
$rs = $db->Execute($query);
while (!$rs->EOF) {

	$db->Execute("UPDATE ".DB_PREFIX."_plugin_code SET plugin_code = '".$rs->fields['code']."' WHERE plugin_id ='".$rs->fields['plugin_id']."' ");

	$rs->MoveNext();
}$rs->Close();

if (count($errors)>0) {
$sub_tpl->assign('db_errors',$errors);
}
?>
